package javafxeffects;

import javafx.scene.effect.Identity;
import javafx.scene.effect.light.DistantLight;
import javafx.scene.effect.Lighting;
import javafx.scene.image.Image;
import javafx.scene.paint.Color;
import javafx.scene.Scene;
import javafx.scene.shape.Rectangle;
import javafx.stage.Stage;

var logo = Image { url: "{__DIR__}javafxlogo.gif" };

Stage {
    title: "Bump Map"
    scene: Scene {
        width: 240
        height: 140
        fill: Color.BLACK
        content: [
            Rectangle {
                x: 20
                y: 20
                width: 200
                height: 100
                fill: Color.YELLOW
                effect: Lighting {
                    light: DistantLight {
                        azimuth: 90
                        elevation: 25
                    }
                    bumpInput: Identity {
                        source: logo
                        x: 30
                        y: 40
                    }
                }
            }
        ]
    }
}
