
package javafxeffects;

import javafx.ext.swing.SwingLabel;
import javafx.ext.swing.SwingSlider;
import javafx.scene.effect.ColorAdjust;
import javafx.scene.image.Image;
import javafx.scene.image.ImageView;
import javafx.scene.Scene;
import javafx.stage.Stage;

Stage {
    title: "ColorAdjust #1"
    resizable: false
    var scene: Scene;
    scene:
    scene = Scene {
        width: 350
        height: 340
        var hueSlider: SwingSlider;
        var saturationSlider: SwingSlider;
        var brightnessSlider: SwingSlider;
        var contrastSlider: SwingSlider;
        content: [
            ImageView {
                image: Image { url: "{__DIR__}image1.jpg"
                }
                effect: ColorAdjust {
                    hue: bind (hueSlider.value as Number) / 16
                    saturation: bind (saturationSlider.value as Number) / 16
                    brightness: bind (brightnessSlider.value as Number) / 16
                    contrast: bind if (contrastSlider.value == 0) 0.25
                                   else (contrastSlider.value as Number) * 0.25
                }
            }
            SwingLabel {
                text: "hue: "
                translateX: 5
                translateY: 260
            }
            hueSlider = SwingSlider {
                maximum: 16
                minimum: -16
                value: 0
                translateX: 100
                translateY: 260
                width: bind scene.width - 110
            }
            SwingLabel {
                text: "saturation: "
                translateX: 5
                translateY: 280
            }
            saturationSlider = SwingSlider {
                maximum: 16
                minimum: -16
                value: 0
                translateX: 100
                translateY: 280
                width: bind scene.width - 110
            }
            SwingLabel {
                text: "brightness: "
                translateX: 5
                translateY: 300
            }
            brightnessSlider = SwingSlider {
                maximum: 16
                minimum: -16
                value: 0
                translateX: 100
                translateY: 300
                width: bind scene.width - 110
            }
            SwingLabel {
                text: "contrast: "
                translateX: 5
                translateY: 320
            }
            contrastSlider = SwingSlider {
                maximum: 16
                minimum: 1
                value: 4
                translateX: 100
                translateY: 320
                width: bind scene.width - 110
            }
        ]
    }
}
