package javafxeffects;

import javafx.scene.effect.DropShadow;
import javafx.scene.paint.Color;
import javafx.scene.Scene;
import javafx.scene.shape.Rectangle;
import javafx.stage.Stage;

var rect: Rectangle;
Stage {
    title: "Effects #1"
    scene: Scene {
        width: 150 height: 150
        content: [
            rect = Rectangle {
                x: 10 y: 10
                width: 100 height: 100
                fill: Color.YELLOW
                effect: DropShadow {
                    offsetX: 5 offsetY: 5
                }
            }
        ]
    }
}
println("Layout bounds: {rect.layoutBounds}");
println("Parent bounds: {rect.boundsInParent}");
