package javafxeffects;

import javafx.scene.effect.DropShadow;
import javafx.scene.effect.Reflection;
import javafx.scene.paint.Color;
import javafx.scene.Scene;
import javafx.scene.shape.Rectangle;
import javafx.stage.Stage;

Stage {
    title: "Effects #3"
    scene: Scene {
        width: 150 height: 150
        content: [
            Rectangle {
                x: 10 y: 10
                width: 100 height: 100
                fill: Color.YELLOW
                rotate: -45
                effect: Reflection {
                    input: DropShadow {
                        offsetX: 5 offsetY: 5
                    }
                }
            }
        ]
    }
}
