package javafxeffects;

import javafx.scene.effect.GaussianBlur;
import javafx.scene.effect.Identity;
import javafx.scene.image.Image;
import javafx.scene.Scene;
import javafx.scene.shape.Circle;
import javafx.stage.Stage;

Stage {
    title: "Identity #1"
    scene: Scene {
        width: 380
        height: 280
        var image = Image { url: "{__DIR__}image1.jpg" }
        content: [
            Circle {
                centerX: 100 centerY: 100
                effect: GaussianBlur {
                    input: Identity {
                        source: image
                        x: 10 y: 10
                    }
                    radius: 10
                }
            }
        ]
    }
}
