
package javafxeffects;

import javafx.ext.swing.SwingLabel;
import javafx.ext.swing.SwingSlider;
import javafx.scene.effect.Shadow;
import javafx.scene.paint.Color;
import javafx.scene.Scene;
import javafx.scene.text.Font;
import javafx.scene.text.Text;
import javafx.scene.text.TextOrigin;
import javafx.stage.Stage;

Stage {
    title: "Shadow #1"
    resizable: false
    var scene: Scene;
    scene:
    scene = Scene {
        width: 300
        height: 100
        var radiusSlider: SwingSlider;
        content: [
            Text {
                textOrigin: TextOrigin.TOP
                x: 30 y: 30
                content: "JavaFX Shadow Effect"
                font: Font { size: 24 }
                effect: Shadow {
                    color: Color.BLUE
                    radius: bind radiusSlider.value
                }
            }
            SwingLabel {
                text: "radius: "
                translateX: 5
                translateY: 60
            }
            radiusSlider = SwingSlider {
                maximum: 63
                minimum: 0
                value: 5
                translateX: 50
                translateY: 60
                width: bind scene.width - 60
            }
        ]
    }
}