package javafxstyle;

import javafx.scene.paint.Color;
import javafx.scene.Scene;
import javafx.scene.shape.Rectangle;
import javafx.scene.text.Text;
import javafx.stage.Stage;

var sheet1 = "{__DIR__}Styles1.css";
var sheet2 = "{__DIR__}Styles2.css";
Stage {
    title: "Styles 2"
    var scene: Scene;
    scene: scene = Scene {
            width: 200 height: 60
            stylesheets: [ sheet1 ]
            content: [
                Text {
                    x: 10 y: 20
                    content: "First Text"
                }
                Text {
                    x: 10 y: 40
                    content: "Second Text"
                }
                Rectangle {
                    width: bind scene.width
                    height: bind scene.height
                    fill: Color.TRANSPARENT
                    onMouseClicked: function(evt) {
                        scene.stylesheets[0] =
                             if (scene.stylesheets[0] == sheet1)
                                 sheet2 else sheet1;
                    }
                }
            ]
        }
}