package javafxstyle;

import javafx.scene.Group;
import javafx.scene.Scene;
import javafx.scene.text.Text;
import javafx.scene.text.TextOrigin;
import javafx.stage.Stage;

Stage {
    title: "Styles #6"
    scene: Scene {
        width: 200 height: 90
        stylesheets: [ "{__DIR__}Styles6.css" ]
        content: [
            Group {
                id: "topGroup"
                content: [
                    Text {
                        x: 10 y: 10
                        textOrigin: TextOrigin.TOP
                        content: "In first group"
                    }
                    Group {
                        id: "nestedGroup"
                        translateY: 35
                        content: [
                            Text {
                                x: 10 y: 10
                                content: "In second group"
                            }
                            Text {
                                x: 10 y: 40
                                content: "Also in second group"
                            }
                        ]
                    }
                ]
            }
        ]
    }
}