package javafxswing;

import javafx.ext.swing.SwingComboBox;
import javafx.ext.swing.SwingComboBoxItem;
import javafx.scene.Scene;
import javafx.stage.Stage;

var items = for (i in [0..99]) {
    SwingComboBoxItem {
        value: i
        text: "Choice #{i}"
    }
}

var combo:SwingComboBox;
Stage {
    title : "SwingComboBox #2"
    scene: Scene {
        width: 200
        height: 240
        content: [
            combo = SwingComboBox {
                items: items
                editable: true
                translateX: 40
                translateY: 10
            }
        ]
    }
}

var selectedIndex = bind combo.selectedIndex on replace {
    println("Selected index is {selectedIndex}");
}

var selectedItem = bind combo.selectedItem on replace {
    println("Selected item value is {selectedItem.value}");
}

var selectedText = bind combo.text on replace {
    println("Selected text is [{combo.text}]");
}

