package javafxswing;

import javafx.ext.swing.SwingIcon;
import javafx.ext.swing.SwingLabel;
import javafx.scene.image.Image;
import javafx.scene.layout.VBox;
import javafx.scene.paint.Color;
import javafx.scene.Scene;
import javafx.scene.text.Font;
import javafx.stage.Stage;

def img = Image { url: "{__DIR__}FXLogo.gif" }
def icon = SwingIcon { image: img };

Stage {
    title: "Swing Labels #1"
    scene: Scene {
        content: [
            VBox {
                spacing: 6
                content: [
                    SwingLabel {
                        text: "Label #1"
                    }
                    SwingLabel {
                        text: "Label #2"
                        foreground: Color.RED
                    }
                    SwingLabel {
                        text: "Label #3"
                        font: Font { size: 24 }
                    }
                    SwingLabel {
                        text: "<html><I>Label<br>Number 4</I></html>"
                        font: Font { size: 16 }
                    }
                    SwingLabel {
                        text: "Label with icon"
                        icon: icon
                    }
                ]
            }
        ]
    }
}
