package javafxswing;

import javafx.ext.swing.SwingHorizontalAlignment;
import javafx.ext.swing.SwingIcon;
import javafx.ext.swing.SwingLabel;
import javafx.scene.image.Image;
import javafx.scene.Scene;
import javafx.scene.shape.Line;
import javafx.stage.Stage;

def img = Image { url: "{__DIR__}FXLogo.gif" }
def icon = SwingIcon {image: img };
def height = 32;
var scene: Scene;

Stage {
    title: "Swing Labels #2"
    scene:
    scene = Scene {
        width: 300
        height: 4 * height + 1
        content: [
            SwingLabel {
                text: "Default" icon: icon
                translateY: 0
                height: height
                width: bind scene.width
            }
            Line {
                startX: 0 endX: bind scene.width
                startY: height endY: height
            }
            SwingLabel {
                text: "Left" icon: icon
                horizontalAlignment: SwingHorizontalAlignment.LEFT
                translateY: height + 1
                height: height width: bind scene.width
            }
            Line {
                startX: 0 endX: bind scene.width
                startY: 2 * height + 1 endY: 2 * height + 1
            }
            SwingLabel {
                text: "Center" icon: icon
                horizontalAlignment: SwingHorizontalAlignment.CENTER
                translateY: 2 * height + 2
                height: height width: bind scene.width
            }
            Line {
                startX: 0 endX: bind scene.width
                startY: 3 * height + 2
                endY: 3 * height + 2
            }
            SwingLabel {
                text: "Right" icon: icon
                horizontalAlignment: SwingHorizontalAlignment.RIGHT
                translateY: 3 * height + 3
                height: height width: bind scene.width
            }
            Line {
                startX: 0 endX: bind scene.width
                startY: 4 * height + 3 endY: 4 * height + 3
            }
        ]
    }
}