package javafxswing;

import javafx.ext.swing.SwingHorizontalAlignment;
import javafx.ext.swing.SwingVerticalAlignment;
import javafx.ext.swing.SwingIcon;
import javafx.ext.swing.SwingLabel;
import javafx.scene.image.Image;
import javafx.scene.Scene;
import javafx.scene.shape.Line;
import javafx.stage.Stage;

def img = Image { url: "{__DIR__}FXLogo.gif" }
def icon = SwingIcon {image: img };
def height = 64;
var scene: Scene;

Stage {
    title: "Swing Labels #5"
    scene:
    scene = Scene {
        width: 300
        height: 3 * height + 1
        content: [
            SwingLabel {
                text: "Center" icon: icon
                horizontalTextPosition: SwingHorizontalAlignment.CENTER
                verticalTextPosition: SwingVerticalAlignment.CENTER
                horizontalAlignment: SwingHorizontalAlignment.CENTER
                translateY: 0
                height: height
                width: bind scene.width
            }
            Line {
                startX: 0 endX: bind scene.width
                startY: height endY: height
            }
            SwingLabel {
                text: "Top"
                icon: icon
                horizontalTextPosition: SwingHorizontalAlignment.CENTER
                verticalTextPosition: SwingVerticalAlignment.TOP
                horizontalAlignment: SwingHorizontalAlignment.CENTER
                translateY: height + 1
                height: height
                width: bind scene.width
            }
            Line {
                startX: 0 endX: bind scene.width
                startY: 2 * height + 1 endY: 2 * height + 1
            }
            SwingLabel {
                text: "Bottom" icon: icon
                horizontalTextPosition: SwingHorizontalAlignment.CENTER
                verticalTextPosition: SwingVerticalAlignment.BOTTOM
                horizontalAlignment: SwingHorizontalAlignment.CENTER
                translateY: 2 * height + 2
                height: height width: bind scene.width
            }
        ]
    }
}