package javafxswing;

import javafx.ext.swing.SwingList;
import javafx.ext.swing.SwingListItem;
import javafx.scene.Scene;
import javafx.stage.Stage;
import javax.swing.ListSelectionModel;

var items = for (i in [0..99]) {
    SwingListItem {
        value: i
        text: "Choice #{i}"
    }
}

var list:SwingList;
Stage {
    title : "SwingList #2"
    scene: Scene {
        width: 200
        height: 200
        content: [
            list = SwingList {
                items: items
                width: 150
                height: 190
            }
        ]
    }
}

list.getJList().setSelectionMode(ListSelectionModel.MULTIPLE_INTERVAL_SELECTION);

var selectedIndex = bind list.selectedIndex on replace {
    println("Selected index is {selectedIndex}");
}

var selectedItem = bind list.selectedItem on replace {
    println("Selected item value is {selectedItem.value}");
}





