package javafxswing;

import javafx.ext.swing.SwingSlider;
import javafx.scene.Scene;
import javafx.stage.Stage;

var value = 125 on replace {
    println("Value is {value}");
}
var slider:SwingSlider;
Stage {
    title : "SwingSlider #2"
    var scene:Scene;
    scene: scene = Scene {
        width: 200
        height: 70
        content: [
            slider = SwingSlider {
                minimum: 100 maximum: 200
                value: bind value with inverse;
                translateY: 10 translateX: 10
                width: bind scene.width - 20
                height: 40
            }
        ]
    }
}

var jslider = slider.getJSlider();
jslider.setMinorTickSpacing(10);
jslider.setMajorTickSpacing(50);
jslider.setPaintTicks(true);
jslider.setPaintLabels(true);

