package javafxswing;

import javafx.ext.swing.SwingHorizontalAlignment;
import javafx.ext.swing.SwingTextField;
import javafx.scene.layout.VBox;
import javafx.scene.paint.Color;
import javafx.scene.paint.LinearGradient;
import javafx.scene.paint.Stop;
import javafx.scene.Scene;
import javafx.stage.Stage;

var t: SwingTextField;
Stage {
    title: "SwingTextField #1"
    scene: Scene {
        width: 230
        height: 100
        content: [
            VBox {
                spacing: 10
                content: [
                    SwingTextField {
                        columns: 10
                        text: "Left"
                        editable: false
                        background: Color.YELLOW
                        horizontalAlignment: SwingHorizontalAlignment.LEFT

                    }
                    SwingTextField {
                        columns: 15
                        text: "Center"
                        borderless: true
                        horizontalAlignment: SwingHorizontalAlignment.CENTER
                    }
                    t = SwingTextField {
                        columns: 15
                        text: "Right"
                        background: LinearGradient {
                            startX: 0 startY: 0
                            endX: 1.0 endY: 0
                            stops: [
                                Stop { 
                                    offset: 0 color: Color.WHITE
                                },
                                Stop {
                                    offset: 1 color: Color.LIGHTGRAY
                                }
                            ]
                        }
                        selectOnFocus: false
                        horizontalAlignment: SwingHorizontalAlignment.RIGHT
                        action: function() {
                            println("Text field content is {t.text}");
                        }
                    }
                ]
            }
        ]
    }
}


