package javafxswing;

import javafx.ext.swing.SwingComponent;
import javax.swing.JProgressBar;

public class WrappedProgressBar extends SwingComponent {
    var pb: JProgressBar;
    public var minimum: Integer = pb.getMinimum() on replace {
        pb.setMinimum(minimum);
    }

    public var maximum: Integer = pb.getMaximum() on replace {
        pb.setMaximum(maximum);
    }

    public var orientation: Integer = pb.getOrientation() on replace {
        pb.setOrientation(orientation);
    }

    public var indeterminate: Boolean = pb.isIndeterminate() on replace {
        pb.setIndeterminate(indeterminate);
    }

    public var string: String = pb.getString() on replace {
        pb.setString(string);
        pb.setStringPainted(string != "");
    }

    public var value: Integer = pb.getValue() on replace {
        pb.setValue(value);
    }

    protected override function createJComponent() {
        pb = new JProgressBar(orientation);
    }
}
