package javafxnodes;

import javafx.scene.paint.Color;
import javafx.scene.Scene;
import javafx.scene.shape.Rectangle;
import javafx.stage.Stage;

Stage {
    title: "Mouse Events 1"
    scene: Scene {
        width: 200
        height: 150
        content: [
            Rectangle {
                x: 10 y: 10
                width: 180 height: 130
                fill: Color.YELLOW stroke: Color.BLACK
                onMouseEntered: function(evt) {
                    println("Enter {evt}");
                }
                onMouseExited: function(evt) {
                    println("Exit {evt}");
                }
                onMouseMoved: function(evt) {
                    println("Move {evt}");
                }
            }
        ]
    }
}