package javafxnodes;

import javafx.scene.paint.Color;
import javafx.scene.paint.RadialGradient;
import javafx.scene.paint.Stop;
import javafx.scene.Scene;
import javafx.scene.shape.Polygon;
import javafx.stage.Stage;

// RadialGradient in a triangle
Stage {
    title: "Radial Gradient"
    scene: Scene {
        width: 200
        height: 200
        content: [
            Polygon {
                points: [ 100,10, 140,180, 60,180 ]
                stroke: Color.BLACK
                fill: RadialGradient {
                    proportional: true
                    centerX: 0.5
                    centerY: 0.5
                    radius: 0.75
                    stops: [
                        Stop { offset: 0.0 color: Color.WHITE }
                        Stop { offset: 0.5 color: Color.YELLOW }
                        Stop { offset: 1.0 color: Color.GREEN }
                    ]
                }
            }
        ]
    }
}