package javafxshapes;

import javafx.stage.Stage;
import javafx.scene.Scene;
import javafx.scene.shape.Arc;
import javafx.scene.shape.ArcType;
import javafx.scene.paint.Color;

Stage {
    title: "Arcs"
    scene: Scene {
        width: 200
        height: 300
        content: [ 
            Arc {
                centerX: 100 centerY: 60
                radiusX: 80 radiusY: 50
                startAngle: 30 length: 120
                type: ArcType.OPEN
                fill: Color.TRANSPARENT
                stroke: Color.BLACK
            }
            Arc {
                centerX: 100 centerY: 160
                radiusX: 80 radiusY: 50
                startAngle: 30 length: 120
                type: ArcType.CHORD
                fill: Color.TRANSPARENT
                stroke: Color.BLACK
            }
            Arc {
                centerX: 100 centerY: 260
                radiusX: 80 radiusY: 50
                startAngle: 30 length: 120
                type: ArcType.ROUND
                fill: Color.TRANSPARENT
                stroke: Color.BLACK
            }
        ]
    }
}