package javafxshapes;

import javafx.scene.image.Image;
import javafx.scene.image.ImageView;
import javafx.scene.Scene;
import javafx.stage.Stage;

var url = "http://www.jpl.nasa.gov/images"
          "/mer/2004-06-02/05-JR-05-apollo15-380-382.jpg";

Stage {
    var scene:Scene;
    var imageView:ImageView;
    title: "Images 4"
    scene: scene = Scene {
        width: 500
        height: 500
        content: [
            imageView = ImageView {
                translateX: bind (scene.width - imageView.layoutBounds.width) / 2
                translateY: bind (scene.height - imageView.layoutBounds.height) / 2
                image: Image {
                            backgroundLoading: true
                            url: url
                            placeholder: Image {
                                             url: "{__DIR__}images/small.gif"
                                         }
                       }
            }
        ]
    }
}
