package javafxshapes;

import javafx.scene.image.Image;
import javafx.scene.image.ImageView;
import javafx.scene.text.Font;
import javafx.scene.text.Text;
import javafx.scene.Scene;
import javafx.stage.Stage;

var url = "http://www.jpl.nasa.gov/images"
          "/mer/2004-06-02/05-JR-05-apollo15-380-382.jpg";

Stage {
    var scene:Scene;
    var imageView:ImageView;
    var text:Text;
    var image:Image;
    title: "Images 5"
    scene: scene = Scene {
        width: 500
        height: 500
        content: [
            imageView = ImageView {
                translateX: bind (scene.width - imageView.layoutBounds.width) / 2
                translateY: bind (scene.height - imageView.layoutBounds.height) / 2
                image: image = Image {
                            backgroundLoading: true
                            url: url
                       }
            }
            text = Text {
                translateX: bind (scene.width - text.layoutBounds.width) / 2
                translateY: bind (scene.height - text.layoutBounds.height) / 2
                font: Font { size: 24 }
                content: bind if (image.error) "Load Failed"
                              else "Loading - {image.progress}%"
                visible: bind image.error
                              or image.progress != 100
            }
        ]
    }
}
