package javafxshapes;

import javafx.scene.Scene;
import javafx.scene.paint.Color;
import javafx.scene.paint.LinearGradient;
import javafx.scene.paint.Stop;
import javafx.scene.shape.StrokeLineCap;
import javafx.scene.text.Font;
import javafx.scene.text.Text;
import javafx.scene.text.TextOrigin;
import javafx.stage.Stage;

Stage {
    title: "Text3"
    scene: Scene {
        width: 400
        height: 360
        content: [
            Text {
                x: 10 y: 10 textOrigin: TextOrigin.TOP
                font: Font { name: "Serif" size: 48 }
                fill: Color.YELLOW
                stroke: Color.BLACK
                strokeWidth: 2
                content: "Text with black\nstroke, yellow fill"
            }
            Text {
                x: 10 y: 130 textOrigin: TextOrigin.TOP
                font: Font { name: "Serif" size: 48 }
                fill: LinearGradient {
                        startX: 0.0 startY: 0.0
                        endX: 1.0 endY: 0.0
                        stops: [
                            Stop { offset: 0.0 color: Color.RED }
                            Stop { offset: 1.0 color: Color.LIGHTGRAY }
                        ]
                      }
                stroke: Color.BLACK
                strokeWidth: 2
                content: "Text with gradient\nfill"
            }
            Text {
                x: 10 y: 240 textOrigin: TextOrigin.TOP
                font: Font { name: "Serif" size: 48 }
                fill: null
                stroke: Color.BLACK
                strokeWidth: 2
                strokeLineCap: StrokeLineCap.BUTT
                strokeDashArray: [2, 2]
                content: "Text with dashed\nstroke"
            }
        ]
    }
}