package javafxshapes;

import javafx.scene.paint.Color;
import javafx.scene.Scene;
import javafx.scene.shape.Arc;
import javafx.scene.shape.ArcType;
import javafx.scene.shape.ClosePath;
import javafx.scene.shape.HLineTo;
import javafx.scene.shape.LineTo;
import javafx.scene.shape.MoveTo;
import javafx.scene.shape.Path;
import javafx.scene.shape.StrokeLineCap;
import javafx.stage.Stage;

Stage {
    title: "Wide Arc and Path"
    scene: Scene {
        width: 200
        height: 250
        content: [
            Arc {
                centerX: 100 centerY: 60
                radiusX: 80 radiusY: 50
                startAngle: 30 length: 120
                type: ArcType.OPEN
                fill: Color.TRANSPARENT stroke: Color.BLACK
                strokeWidth: 10
                strokeLineCap: StrokeLineCap.ROUND
            }
            Path {
                fill: null
                stroke: Color.BLACK
                strokeWidth: 10
                strokeLineCap: StrokeLineCap.ROUND
                elements: [
                    MoveTo { x: 10 y: 100 }
                    HLineTo { x: 180 absolute: false }
                    LineTo { x: -150 y: 110 absolute: false }
                    LineTo { x: 60 y: -160 absolute: false }
                    LineTo { x: 80 y: 160 absolute: false }
                    //ClosePath {}
                ]
            }
        ]
    }
}
