package javafxtransforms;

import javafx.scene.Node;
import javafx.scene.paint.Color;
import javafx.scene.Scene;
import javafx.scene.shape.Rectangle;
import javafx.stage.Stage;
import javafxtransforms.CoordinateGrid;

var scene:Scene;
var node:Node;
Stage {
    title: "Bounds #2"
    scene: scene = Scene {
            width: 200
            height: 200
            content: [
                CoordinateGrid {
                    width: bind scene.width
                    height: bind scene.height
                }
                node = Rectangle {
                    x: 30
                    y: 60
                    width: 100
                    height: 40
                    fill: Color.YELLOW
                    clip: Rectangle {
                        x: 40 y: 70 width: 20 height: 20
                    }
                }
            ]
        }
}
println("Layout bounds: {node.layoutBounds}");
println("Local bounds: {node.boundsInLocal}");
println("Parent bounds: {node.boundsInParent}");

