package javafxtransforms;

import javafx.stage.Stage;
import javafx.scene.Scene;
import javafx.scene.layout.HBox;
import javafx.scene.image.Image;
import javafx.scene.image.ImageView;
import javafx.scene.paint.Color;
import javafx.scene.control.ListView;

var scene:Scene;
Stage {
    title : "HBox #1"
    scene: scene = Scene {
        width: 300
        height: 200
        fill: Color.BLACK
        content: [
            HBox {
                width: bind scene.width
                height: bind scene.height
                spacing: 4
                content: [
                    ImageView {
                        image: Image { url: "{__DIR__}images/img1.jpg" }
                    },
                    ImageView {
                        image: Image { url: "{__DIR__}images/img2.jpg" }
                    },
                    ListView {
                        items: [
                            "First", "Second", "Third"
                        ]
                    }
                ]
            }
        ]
    }
}

