package javafxtransforms;

import javafx.scene.paint.Color;
import javafx.scene.Scene;
import javafx.scene.shape.Rectangle;
import javafx.scene.transform.Transform;
import javafx.stage.Stage;

var scene:Scene;
Stage {
    title: "Scaling #1"
    scene:
    scene = Scene {
        width: 200
        height: 200
        content: [
            CoordinateGrid {
                width: bind scene.width
                height: bind scene.height
            }
            CoordinateGrid {
                width: bind scene.width
                height: bind scene.height
                gridLineColor: Color.BLACK
                transforms: Transform.scale(1.2, 1.5, 80, 80)
            }
            Rectangle {
                x: 30
                y: 60
                width: 100
                height: 40
                fill: Color.YELLOW
                scaleX: 1.2
                scaleY: 1.5
            }
        ]
    }
}