package javafxtransforms;
import javafx.scene.Scene;
import javafx.scene.image.Image;
import javafx.scene.image.ImageView;
import javafx.scene.layout.Tile;
import javafx.scene.paint.Color;
import javafx.scene.paint.LinearGradient;
import javafx.scene.paint.Stop;
import javafx.scene.shape.Rectangle;
import javafx.stage.Stage;


var scene:Scene;
Stage {
    title : "Tile #8"
    scene: scene = Scene {
        width: 400
        height: 200
        fill: Color.GRAY
        var t:Tile;
        content: [
            t = Tile {
               hgap: 5
               vgap: 5
               width: bind scene.width
               height: bind scene.height
               content: [
                   Rectangle {
                       fill: LinearGradient {
                           startX: 0.0 endX: 1.0
                           startY: 0.0 endY: 0.0
                           stops: [
                                Stop { offset: 0.0 color: Color.LIGHTGRAY }
                                Stop { offset: 1.0 color: Color.GREY }
                           ]
                       }
                       managed: false
                       width: bind t.width
                       height: bind t.height
                   }
                   ImageView {
                       image: Image {
                           url: "{__DIR__}images/img1.jpg"
                       }
                   }
                   ImageView {
                       image: Image {
                           url: "{__DIR__}images/img2.jpg"
                       }
                   }
                   ImageView {
                       image: Image {
                           url: "{__DIR__}images/img4.jpg"
                       }
                   }
                   ImageView {
                       image: Image {
                           url: "{__DIR__}images/img5.jpg"
                       }
                   }
                   ImageView {
                       image: Image {
                           url: "{__DIR__}images/img6.jpg"
                       }
                   }
               ]
            }
        ]
    }
}