package javafxtransforms;

import javafx.scene.paint.Color;
import javafx.scene.Scene;
import javafx.scene.shape.Rectangle;
import javafx.stage.Stage;
import javafxtransforms.CoordinateGrid;

var scene:Scene;
Stage {
    title: "Translation #1"
    scene: scene = Scene {
            width: 200
            height: 200
            content: [
                CoordinateGrid {
                    width: bind scene.width
                    height: bind scene.height
                }
                CoordinateGrid {
                    width: bind scene.width
                    height: bind scene.height
                    gridLineColor: Color.BLACK
                    translateX: 30
                    translateY: 40
                }
                Rectangle {
                    x: 30
                    y: 60
                    width: 100
                    height: 40
                    fill: Color.YELLOW
                    translateX: 30
                    translateY: 40
                }
            ]
        }
}