
package javafxuibasics;

import javafx.animation.Interpolator;
import javafx.animation.KeyFrame;
import javafx.animation.Timeline;
import javafx.scene.paint.Color;
import javafx.scene.Scene;
import javafx.scene.shape.Rectangle;
import javafx.scene.text.Font;
import javafx.scene.text.Text;
import javafx.stage.Stage;

var time = 10;
var scene: Scene;
var stage: Stage = Stage {
    title: "Fullscreen Example"
    fullScreen: true
    scene:
    scene = Scene {
        content: [
            Rectangle {
                x: 0
                y: 0
                fill: Color.WHITE
                width: bind scene.width
                height: bind scene.height
                onMousePressed: function(evt) {
                    stage.fullScreen = not stage.fullScreen;
                }
            }

            Text {
                x: 100
                y: 100
                font: Font {
                    size: 32
                }
                content: bind "Fullscreen - time to close: {time}"
            }
        ]
    }
}

var timeline = Timeline {
    keyFrames: [
        KeyFrame {
            time: 10s
            values: time => 0 tween Interpolator.LINEAR
            action: function() {
                       stage.close()
                    }
        }
    ]
};
timeline.play();


