package javafxuibasics;

import javafx.scene.Group;
import javafx.scene.paint.Color;
import javafx.scene.Scene;
import javafx.scene.shape.Circle;
import javafx.scene.shape.Rectangle;
import javafx.stage.Stage;

Stage {
    title: "Scene Z-Order"
    scene: Scene {
        content: [
            Group {
                var circle:Circle;
                var rect:Rectangle;
                content: [
                    circle = Circle {
                        centerX: 100 centerY: 100
                        radius: 40   fill: Color.YELLOW
                        onMousePressed: function(evt) {
                            circle.toFront();
                        }
                    },
                    rect = Rectangle {
                        x: 10 y: 10
                        width: 140 height: 90
                        fill: Color.RED
                        onMousePressed: function(evt) {
                            rect.toFront();
                        }
                    }
                ]
            }
        ]
    }
}