package javafxuibasics;

import javafx.scene.image.Image;
import javafx.stage.Stage;

var stage: Stage = Stage {
    title: bind "Stage: ({stage.x}, {stage.y})"
    icons: [
        Image { url: "{__DIR__}frame_icon_16.png" },
        Image { url: "{__DIR__}frame_icon_24.png" },
        Image { url: "{__DIR__}frame_icon_32.png" },
    ]
    width: 250
    height: 100
}

var containsFocus = bind stage.containsFocus on replace {
    println("Stage contains focus? {containsFocus}");
}
var visible = bind stage.visible on replace {
    println("Stage visible? {visible}");
}
