package javafxuibasics;

import javafx.animation.Interpolator;
import javafx.animation.KeyFrame;
import javafx.animation.Timeline;
import javafx.scene.Scene;
import javafx.scene.text.Text;
import javafx.stage.Stage;

var count = 10;
var stage = Stage {
    title: bind "Close Example: {count}"
    width: 300 height: 100
    scene: Scene {
        content: Text {
            content: bind "Close Example: {count}"
            y: 20
        }
    }
    onClose: function() {
        println("onClose() called");
    }
}

var timeline = Timeline {
    keyFrames: [
        KeyFrame {
            time: 10s
            values: count => 0 tween Interpolator.LINEAR
            action: function() {
                stage.close()
            }
        }
    ]
}
timeline.play();