package javafxbinding;

import javafx.scene.Scene;
import javafx.stage.Stage;
import javafx.scene.control.TextBox;
import javafx.scene.control.Label;
import javafx.geometry.VPos;
import javafx.scene.layout.VBox;
import javafx.geometry.HPos;

Stage {
    var scene:Scene;
    title: "Simple Binding"
    visible: true width: 250 height: 120
    scene: scene = Scene {
        content: [
            VBox {
                var textBox:TextBox;
                width: bind scene.width height: bind scene.height
                nodeHPos: HPos.CENTER vpos: VPos.CENTER
                content: [
                    textBox = TextBox {
                        text: "Please type here"
                        selectOnFocus: true
                    }
                    Label {
                        text: bind textBox.rawText
                        vpos: VPos.CENTER
                    }
                ]
            }
        ]
    }
}

