package javafxbinding;

import javafx.scene.Scene;
import javafx.stage.Stage;
import javafx.scene.control.TextBox;
import javafx.scene.control.Label;
import javafx.geometry.VPos;
import javafx.scene.layout.VBox;
import javafx.geometry.HPos;

var modelText:String = "Please type here";

Stage {
    var scene:Scene;
    title: "Bidirectional Binding"
    visible: true width: 250 height: 120
    scene: scene = Scene {
        content: [
            VBox {
                width: bind scene.width height: bind scene.height
                nodeHPos: HPos.CENTER vpos: VPos.CENTER
                content: [
                    TextBox {
                        text: bind modelText with inverse
                        selectOnFocus: true
                    }
                    Label {
                        text: bind "You typed: {modelText}"
                                   "\n({modelText.length()} characters)"
                        vpos: VPos.CENTER
                    }
                    TextBox {
                        text: bind modelText with inverse
                        selectOnFocus: true
                    }
                ]
            }
        ]
    }
}
