package platformapi;

import javafx.io.Storage;

// Create two resource.
var s = Storage {
    source: "Hello"
}
Storage {
    source: "Goodbye"
}

println("------------- RESOURCES BEFORE ---------------");
for (name in Storage.list()) {
    println("Resource: {name}");
}
println("----------- END RESOURCES BEFORE -------------");

// Remove the first resource
s.clear();

println("------------- RESOURCES AFTER ---------------");
for (name in Storage.list()) {
    println("Resource: {name}");
}
println("----------- END RESOURCES AFTER -------------");

// Remove the remaining resource
Storage.clearAll();
println("------------- RESOURCES AT END ---------------");
for (name in Storage.list()) {
    println("Resource: {name}");
}
println("----------- END RESOURCES AT END -------------");

