
package javafxanimation;

import javafx.animation.Timeline;

// This does NOT increment count from 0 to 10.
var count = 0 on replace { println("count = {count}"); }
var timeline = Timeline {
    repeatCount: 10
    keyFrames: [
        at (20ms) { count => count + 1 }
    ]
}
timeline.play();
