
package javafxanimation;

import javafx.animation.KeyFrame;
import javafx.animation.Timeline;

var value1 = 0.0 on replace { 
    if (timeline != null) println("value1 = {value1} at {timeline.time}")
};
var value2 = 0.0 on replace { 
    if (timeline != null) println("value2 = {value2} at {timeline.time}")
};

var timeline = Timeline {
    keyFrames: [
        KeyFrame {
            time: 1s
            values: [
                value1 => 10.0,
                value2 => 20.0
            ]
        }
    ]
};
timeline.play();