package javafxanimation;

import javafx.animation.Timeline;

var value = 0.0 on replace { 
    if (timeline != null) println("value = {value} at {timeline.time}")
};
var timeline = Timeline {
    keyFrames: [
        at (1s) { value => 10.0 }
    ]
};

timeline.rate = -1;
timeline.time = timeline.keyFrames[0].time;
timeline.play();
