package javafxanimation;

import javafx.animation.Timeline;
import javafx.animation.transition.RotateTransition;
import javafx.scene.paint.Color;
import javafx.scene.Scene;
import javafx.stage.Stage;
import javafxanimation.Wheel;

var wheel = Wheel {
    translateX: 80
    translateY: 80
    radius: 20 
    fill: Color.YELLOW
    stroke: Color.BLACK
};

Stage {
    title: "Transitions #2"
    scene: Scene {
        width: 200
        height: 200
        content: [
            wheel
        ]
    }
}

var transition = RotateTransition {
    duration: 2s
    node: wheel
    repeatCount: Timeline.INDEFINITE
    autoReverse: true
    fromAngle: 30
    toAngle: 120
};
transition.play();

