package javafxcontrols;

import javafx.stage.Stage;
import javafx.scene.Scene;
import javafx.scene.control.Button;
import javafx.scene.image.Image;
import javafx.scene.image.ImageView;
import javafx.geometry.VPos;
import javafx.geometry.HPos;
import javafx.scene.layout.Flow;

def okImage = Image {
    url: "{__DIR__}ok.gif"
}

var scene:Scene;
Stage {
    title : "Buttons #1"
    scene: scene = Scene {
        width: 300
        height: 100
        content: [
            Flow {
                height: bind scene.height
                width: bind scene.width
                vpos: VPos.CENTER
                hpos: HPos.CENTER
                hgap: 8
                content: [
                    Button {
                        text: "Button"
                        action: function() {
                            println("Button pressed")
                        }
                    }
                    Button {
                        text: "Disabled"
                        disable: true
                        action: function() {
                            println("Disabled pressed")
                        }
                    }
                    Button {
                        text: "OK"
                        graphic: ImageView {
                            image: okImage
                        }
                        action: function() {
                            println("OK pressed");
                        }
                    }
                    Button {
                        text: "Exit"
                        strong: true
                        action: function() {
                            FX.exit();
                        }
                    }                   
                ]
            }
        ]
    }
}

