package javafxcontrols;

import javafx.stage.Stage;
import javafx.scene.Scene;
import javafx.scene.layout.VBox;
import javafx.scene.control.CheckBox;
import javafx.geometry.VPos;

var scene:Scene;
Stage {
    title : "CheckBox #1"
    scene: scene = Scene {
        width: 150
        height: 100
        content: [
            VBox {
                width: bind scene.width
                height: bind scene.height
                vpos: VPos.CENTER
                spacing: 8
                content: [
                    CheckBox {
                        text: "Tri-state checkbox #1"
                        allowTriState: true
                        defined: bind box1Defined with inverse
                        selected: bind box1Selected with inverse
                    }
                ]
            }
        ]
    }
}

var box1Selected = false on replace {
    println("box1Selected: {box1Selected}")
}
var box1Defined = true on replace {
    println("box1Defined: {box1Defined}")
}

