package javafxcontrols;

import javafx.stage.Stage;
import javafx.scene.Scene;
import javafx.scene.layout.VBox;
import javafx.geometry.VPos;
import javafx.scene.control.Label;
import javafx.scene.shape.Line;
import javafx.scene.control.OverrunStyle;
import javafx.scene.layout.LayoutInfo;

var scene:Scene;
Stage {
    title : "Labels #7"
    scene: scene = Scene {
        width: 120
        height: 200
        content: [
            VBox {
                width: bind scene.width
                height: bind scene.height
                vpos: VPos.CENTER
                spacing: 4
                content: [
                    Line { endX: 100 }
                    Label {
                        text: "That's one small step for man"
                        textOverrun: OverrunStyle.ELLIPSES
                    }
                    Line { endX: 100 }
                    Label {
                        text: "That's one small step for man"
                        textOverrun: OverrunStyle.WORD_ELLIPSES
                    }
                    Line { endX: 100 }
                    Label {
                        text: "That's one small step for man"
                        textOverrun: OverrunStyle.CENTER_ELLIPSES
                    }
                    Line { endX: 100 }
                    Label {
                        text: "That's one small step for man"
                        textOverrun: OverrunStyle.LEADING_ELLIPSES
                    }
                    Line { endX: 100 }
                ]
            }
        ]
    }
}

