package javafxcontrols;

import javafx.stage.Stage;
import javafx.scene.Scene;
import javafx.scene.control.ListView;
import javafx.geometry.Insets;
import javafx.scene.layout.VBox;
import javafx.geometry.HPos;
import javafx.scene.layout.LayoutInfo;
import javafx.scene.layout.Priority;

Stage {
    title : "ListView #1"
    var scene:Scene;
    scene: scene = Scene {
        content: [
            VBox {
                width: bind scene.width
                height: bind scene.height
                padding: Insets { top: 4 left: 4
                                  bottom: 4 right: 4 }
                spacing: 8
                nodeHPos: HPos.CENTER
                content: [
                    ListView {
                        items: for (i in [0..99]) {
                            "Element #{i}"
                        }
                        layoutInfo: LayoutInfo {
                            hgrow: Priority.NEVER
                            hfill: false
                        }
                    }
                    ListView {
                        items: for (i in [0..99]) {
                            "Element #{i}"
                        }
                        vertical: false
                        layoutInfo: LayoutInfo {
                            vgrow: Priority.NEVER
                            height: 40
                        }
                    }
                ]
            }
        ]
    }
}

