package javafxcontrols;

import javafx.stage.Stage;
import javafx.scene.Scene;

import javafx.scene.layout.VBox;
import javafx.geometry.HPos;
import javafx.geometry.VPos;
import javafx.scene.image.Image;
import javafx.scene.image.ImageView;
import javafx.scene.control.Slider;

var slider:Slider;
Stage {
    title : "Slider #3"
    var scene:Scene;
    scene: scene = Scene {
        width: 540
        height: 400
        content: [
            VBox {
                width: bind scene.width
                height: bind scene.height
                hpos: HPos.CENTER
                vpos: VPos.CENTER
                nodeHPos: HPos.CENTER
                spacing: 16
                content: [
                    ImageView {
                        image: Image {
                            url: "{__DIR__}a11rollout.jpg"
                        }
                        opacity: bind slider.value
                    }
                    slider = Slider {
                        min: 0
                        max: 1.0
                        value: 1.0
                        blockIncrement: 0.2
                        majorTickUnit: 0.2
                        minorTickCount: 0
                        snapToTicks: true
                        showTickLabels: true
                        showTickMarks: true
                    }
                ]
            }
        ]
    }
}

var o = bind slider.value on replace {
    println(o);
}


