package javafxcontrols;

import javafx.scene.control.TextBox;
import javafx.scene.Scene;
import javafx.stage.Stage;

import javafx.scene.layout.VBox;

import javafx.geometry.Insets;
import javafx.scene.layout.LayoutInfo;
import javafx.scene.layout.Priority;

var scene:Scene;
Stage {
    title: "TextBox #1"
    scene: scene = Scene {
        width: 200
        content: [
            VBox {
                fillWidth: false
                height: bind scene.height
                width: bind scene.width
                spacing: 16
                padding: Insets { top: 5 left: 5
                                  bottom: 5 right: 5 }
                content: [
                    TextBox {
                        columns: 10
                        promptText: "Name"
                        layoutInfo: LayoutInfo {
                            hfill: false
                        }
                    }
                    TextBox {
                        columns: 15
                        lines: 5
                        multiline: true
                        promptText: "Address"
                        layoutInfo: LayoutInfo {
                            vgrow: Priority.NEVER
                            hfill: false
                        }
                    }
                    TextBox {
                        columns: 15
                        promptText: "Email address"
                        layoutInfo: LayoutInfo {
                            hfill: false
                        }
                    }
                ]
            }
        ]
    }
}