package javafxcontrols;

import javafx.scene.control.TextBox;
import javafx.scene.Scene;
import javafx.stage.Stage;
import javafx.scene.layout.VBox;
import javafx.geometry.Insets;

var scene:Scene;
Stage {
    title: "TextBox #2"
    scene: scene = Scene {
        width: 200
        height: 100
        content: [
            VBox {
                fillWidth: false
                height: bind scene.height
                width: bind scene.width
                spacing: 16
                padding: Insets { top: 5 left: 5
                                  bottom: 5 right: 5 }
                content: [
                    TextBox {
                        columns: 10
                        text: "John Doe"
                        editable: false
                    }
                    TextBox {
                        columns: 15
                        promptText: "Email address"
                        disable: true
                    }
                ]
            }
        ]
    }
}