package javafxcontrols;

import javafx.scene.control.TextBox;
import javafx.scene.text.Text;
import javafx.scene.Scene;
import javafx.stage.Stage;
import javafx.scene.layout.VBox;
import javafx.geometry.Insets;
import javafx.scene.layout.LayoutInfo;

var scene:Scene;
Stage {
    title: "TextBox #3"
    scene: scene = Scene {
        width: 200
        height: 110
        var textBox:TextBox;
        content: [
            VBox {
                fillWidth: false
                height: bind scene.height
                width: bind scene.width
                spacing: 16
                padding: Insets { top: 5 left: 5
                                  bottom: 5 right: 5 }
                content: [
                    textBox = TextBox {
                        columns: 15
                        text: "TextBox"
                        action: function() {
                            println("Text: {textBox.text}, "
                                    "rawText: {textBox.rawText}");
                        }
                        layoutInfo: LayoutInfo { hfill: false }
                    }
                    Text {
                        content: bind "Text = [{textBox.text}]"
                    }
                    Text {
                        content: bind "RawText = [{textBox.rawText}]"
                    }
                ]
            }
        ]
    }
}