package javafxcontrols;

import javafx.scene.control.TextBox;
import javafx.scene.Scene;
import javafx.stage.Stage;
import javafx.scene.layout.VBox;

import javafx.scene.control.Button;
import javafx.geometry.Insets;

var scene:Scene;
Stage {
    title: "TextBox #4"
    scene: scene = Scene {
        width: 200
        var textBox:TextBox;
        content: [
            VBox {
                fillWidth: false
                height: bind scene.height
                width: bind scene.width
                spacing: 16
                padding: Insets { top: 5 left: 5
                                  bottom: 5 right: 5 }
                content: [
                    textBox = TextBox {
                        columns: 10
                        text: "TextBox"
                        action: function() {
                            println("Text: {textBox.text}, "
                                    "rawText: {textBox.rawText}");
                        }
                    }
                    Button {
                        text: "OK"
                        disable: bind textBox.rawText.trim() == ""
                    }
                ]
            }
        ]
    }
}