package javafxcustom;

import javafx.scene.paint.Color;
import javafx.scene.paint.RadialGradient;
import javafx.scene.paint.Stop;
import javafx.scene.Scene;
import javafx.scene.shape.Circle;
import javafx.stage.Stage;

Stage {
    title: "CoordinateGrid #1"
    var scene:Scene;
    scene: scene = Scene {
        width: 200
        height: 200
        content: [
            CoordinateGrid {
                width: bind scene.width
                height: bind scene.height
            }
            Circle {
                centerX: bind scene.width / 2
                centerY: bind scene.height /2
                radius: bind scene.width / 3
                fill: RadialGradient {
                    centerX: 0.5 centerY: 0.5
                    radius: 1.0 proportional: true
                    stops: [
                        Stop { offset: 0 color: Color.WHITE }
                        Stop { offset: 1 color: Color.GREEN }
                    ]
                }
            }
        ]
    }
}

