package javafxcustom;

import javafx.scene.media.Media;
import javafx.scene.media.MediaPlayer;
import javafx.scene.paint.Color;
import javafx.scene.Scene;
import javafx.stage.Stage;
import javafxcustom.MediaPlayerBar;
import javafxmedia.ScalingMediaView;

var mediaURL = "http://sun.edgeboss.net/download/sun/media/1460825906/"
               "1460825906_2956241001_big-buck-bunny-640x360.flv";

def player = MediaPlayer {
    autoPlay: false
    media: Media { source: mediaURL }
};

Stage {
    title : "MediaPlayerBar Example"
    var scene:Scene;
    scene: scene = Scene {
        width: 700
        height: 500
        fill: Color.BLACK
        content: [
            FXBorder {
                width: bind scene.width
                height: bind scene.height
                vgap: 8
                content: [
                    ScalingMediaView {
                        stretch: true
                        mediaPlayer: player
                        layoutInfo: FXBorderLayoutInfo {
                            position: FXPosition.CENTER
                            hfill: true
                            vfill: true
                        }
                    }
                    MediaPlayerBar {
                        player: player
                        normalFill: Color.LIGHTGRAY
                        activeFill: Color.YELLOW
                        layoutInfo: FXBorderLayoutInfo {
                            position: FXPosition.SOUTH
                            hfill: true
                        }
                    }
                ]
            }
         ]
    }}
