package javafximport;

import javafx.scene.Scene;
import javafx.stage.Stage;
import javafx.geometry.HPos;
import javafx.geometry.VPos;
import javafx.scene.text.Text;
import javafx.scene.text.Font;
import javafx.fxd.FXDLoader;

import javafx.scene.layout.Flow;

var scene:Scene;
var text:Text;
Stage {
    title: "Banner Example #3b"
    scene: scene = Scene {
        width: 500
        height: 300
        content: [
            Flow {
                width: bind scene.width
                height: bind scene.height
                hpos: HPos.CENTER
                vpos: VPos.CENTER
                content: text = Text {
                    content: "Loading....."
                    font: Font { size: 24 }
                }
            }
        ]
    }
}

var loader = FXDLoader.createLoader("{__DIR__}Banner1.fxz");
loader.onDone = function() {
    if (loader.succeeded) {
        scene.content = loader.content.getRoot();
    } else {
        text.content = "Load failed!";
        println(loader.causeOfFailure);
    }
};
loader.start();

