package javafximport;

import javafx.scene.paint.LinearGradient;
import javafx.scene.paint.Paint;
import javafx.scene.shape.Shape;
import javafximport.Banner1UI;

public class MyBanner1UI extends Banner1UI {
    public var javaFXTextFill: Paint on replace {
        (JavaFXTextNode as Shape).fill = javaFXTextFill;
    }

    public var developerTextFill: Paint on replace {
        (DeveloperTextNode as Shape).fill = developerTextFill;
    }

    public var backgroundGradient: LinearGradient on replace {
        (BackgroundNode as Shape).fill = backgroundGradient;
    }

    protected override function contentLoaded() {
        super.contentLoaded();
        if (isInitialized(javaFXTextFill)) {
            (JavaFXTextNode as Shape).fill = javaFXTextFill;
        }
        if (isInitialized(developerTextFill)) {
            (DeveloperTextNode as Shape).fill = developerTextFill;
        }
        if (isInitialized(backgroundGradient)) {
            (BackgroundNode as Shape).fill = backgroundGradient;
        }
    }
}
