package javafxmedia;

import javafx.scene.layout.HBox;
import javafx.scene.media.Media;
import javafx.scene.media.MediaPlayer;
import javafx.scene.media.MediaView;
import javafx.scene.Scene;
import javafx.stage.Stage;

import javafx.scene.control.Button;

import javafx.scene.layout.VBox;

import javafx.geometry.HPos;

var mediaURL = "http://sun.edgeboss.net/download/sun/media/1460825906/"
               "1460825906_2956241001_big-buck-bunny-640x360.flv";

var mediaView: MediaView;
var mediaPlayer: MediaPlayer;

Stage {
    title: "Media #2"
    resizable: false
    scene: Scene {
        width: 640
        height: 400
        content: [
            VBox {
                spacing: 4
                content: [
                    mediaView = MediaView {
                        mediaPlayer: mediaPlayer = MediaPlayer {
                            media: Media { source: mediaURL }
                        }
                    }
                    HBox {
                        spacing: 20
                        content: [
                            Button {
                                text: bind if (mediaPlayer.paused)
                                           "Start" else "Stop"
                                action: function() {
                                    if (mediaPlayer.paused) {
                                        mediaPlayer.play();
                                    } else {
                                        mediaPlayer.stop();
                                    }
                                }
                            }
                            Button {
                                disable: bind mediaPlayer.paused
                                text: "Pause"
                                action: function() {
                                    mediaPlayer.pause();
                                }
                            }
                        ]
                    }
                ]
            }
        ]
    }
}

