package javafxdata;

import javafx.data.pull.PullParser;
import java.io.ByteArrayInputStream;

var s = '\{ '
'	    "name": "Fred",'
'	    "address": "10 NoStreet, NoPlace",'
'	    "age": 21,'
'	    "male": true,'
'	    "hobbies": ["golf", "reading ", "music"]'
'\}';
var parser = PullParser {
    documentType: PullParser.JSON
    input: new ByteArrayInputStream(s.getBytes("UTF-8"));
    ignoreWhiteSpace:true
    onEvent: function(evt) {
        println(evt);
    }
}
parser.parse();


