package javafxdata;

import javafx.data.pull.PullParser;
import java.io.ByteArrayInputStream;

var xml =
'<?xml version="1.0" encoding="UTF-8"?>'
'<!--- Membership list -->'
'<members>'
'    <member>'
'        <id>'
'            <name>John Doe</name>'
'            <address type="home">Here</address>'
'            <address type="business">There</address>'
'        </id>'
'        <membership-type>Full</membership-type>'
'    </member>'
'</members>';

var parser = PullParser {
    documentType: PullParser.XML
    input: new ByteArrayInputStream(xml.getBytes("UTF-8"))
    onEvent: function(evt) {
        println(evt);
    }
}
parser.parse();
