
package javafxeffects;

import javafx.ext.swing.SwingLabel;
import javafx.ext.swing.SwingSlider;
import javafx.scene.image.Image;
import javafx.scene.image.ImageView;
import javafx.scene.Scene;
import javafx.stage.Stage;

import javafx.scene.effect.BoxBlur;

Stage {
    title: "BoxBlur #1"
    resizable: false
    var scene: Scene;
    scene: scene = Scene {
        width: 350
        height: 320
        var widthSlider: SwingSlider;
        var heightSlider: SwingSlider;
        var iterationSlider: SwingSlider
        content: [
            ImageView {
                image: Image { url: "{__DIR__}image1.jpg" }
                effect: BoxBlur {
                    height: bind heightSlider.value
                    width: bind widthSlider.value
                    iterations: bind iterationSlider.value
                }
            }
            SwingLabel {
                text: "width: "
                translateX: 5
                translateY: 260
            }
            widthSlider = SwingSlider {
                maximum: 255
                minimum: 0
                value: 5
                translateX: 80
                translateY: 260
                width: bind scene.width - 90
            }
            SwingLabel {
                text: "height: "
                translateX: 5
                translateY: 280
            }
            heightSlider = SwingSlider {
                maximum: 255
                minimum: 0
                value: 5
                translateX: 80
                translateY: 280
                width: bind scene.width - 90
            }
            SwingLabel {
                text: "width: "
                translateX: 5
                translateY: 260
            }
            widthSlider = SwingSlider {
                maximum: 255
                minimum: 0
                value: 5
                translateX: 70
                translateY: 260
                width: bind scene.width - 80
            }
            SwingLabel {
                text: bind "iterations: ({iterationSlider.value})"
                translateX: 5
                translateY: 300
            }
            iterationSlider = SwingSlider {
                maximum: 3
                minimum: 0
                value: 1
                translateX: 80
                translateY: 300
                width: 90
            }
        ]
    }
}