package javafxeffects;

import javafx.scene.effect.DropShadow;
import javafx.scene.Group;
import javafx.scene.paint.Color;
import javafx.scene.Scene;
import javafx.scene.shape.Circle;
import javafx.scene.shape.Rectangle;
import javafx.stage.Stage;

Stage {
    title: "Effects #4"
    scene: Scene {
        width: 150 height: 200
        content: [
            Group {
                effect: DropShadow {
                    offsetX: 5 offsetY: 5
                }
                content: [
                    Rectangle {
                        x: 10 y: 10
                        width: 100 height: 100
                        fill: Color.ORANGE
                    }
                    Circle {
                        centerX: 75 centerY: 160 radius: 30
                        fill: Color.YELLOW
                    }
                ]
            }
        ]
    }
}
