package javafxeffects;

import javafx.scene.effect.Flood;
import javafx.scene.effect.MotionBlur;
import javafx.scene.Scene;
import javafx.scene.paint.Color;
import javafx.scene.shape.Circle;
import javafx.stage.Stage;

Stage {
    title: "Flood #1"
    scene: Scene {
        width: 150
        height: 240
        content: [
            Circle {
                centerX: 100 centerY: 100
                effect: MotionBlur {
                    input: Flood {
                        paint: Color.BLUE
                        x: 20 y: 20
                        width: 100 height: 200
                    }
                    radius: 15 angle: 45
                }
            }
        ]
    }
}
