
package javafxeffects;

import javafx.ext.swing.SwingLabel;
import javafx.ext.swing.SwingSlider;
import javafx.scene.effect.GaussianBlur;
import javafx.scene.image.Image;
import javafx.scene.image.ImageView;
import javafx.scene.Scene;
import javafx.stage.Stage;

Stage {
    title: "GaussianBlur #1"
    resizable: false
    var scene: Scene;
    scene: scene = Scene {
        width: 350
        height: 280
        var radiusSlider: SwingSlider;
        content: [
            ImageView {
                image: Image { url: "{__DIR__}image1.jpg" }
                effect: GaussianBlur {
                    radius: bind radiusSlider.value
                }
            }
            SwingLabel {
                text: "radius: "
                translateX: 5
                translateY: 260
            }
            radiusSlider = SwingSlider {
                maximum: 63
                minimum: 0
                value: 10
                translateX: 70
                translateY: 260
                width: bind scene.width - 80
            }
        ]
    }
}