
package javafxeffects;

import javafx.ext.swing.SwingLabel;
import javafx.ext.swing.SwingSlider;
import javafx.scene.effect.Glow;
import javafx.scene.image.Image;
import javafx.scene.image.ImageView;
import javafx.scene.Scene;
import javafx.stage.Stage;

Stage {
    title: "Glow #1"
    resizable: false
    var scene: Scene;
    scene: scene = Scene {
        width: 350
        height: 280
        var levelSlider: SwingSlider;
        content: [
            ImageView {
                image: Image { url: "{__DIR__}image1.jpg" }
                effect: Glow {
                    level: bind (levelSlider.value as Number) / 10
                }
            }
            SwingLabel {
                text: "level: "
                translateX: 5
                translateY: 260
            }
            levelSlider = SwingSlider {
                maximum: 10
                minimum: 0
                value: 0
                translateX: 70
                translateY: 260
                width: bind scene.width - 80
            }
        ]
    }
}