
package javafxeffects;

import javafx.ext.swing.SwingLabel;
import javafx.ext.swing.SwingSlider;
import javafx.scene.effect.SepiaTone;
import javafx.scene.image.Image;
import javafx.scene.image.ImageView;
import javafx.scene.Scene;
import javafx.stage.Stage;

Stage {
    title: "SepiaTone #1"
    resizable: false
    var scene: Scene;
    scene: scene = Scene {
            width: 350
            var levelSlider: SwingSlider;
            content: [
                ImageView {
                    image: Image { url: "{__DIR__}image1.jpg"
                    }
                    effect: SepiaTone {
                        level: bind (levelSlider.value as Number) / 10
                    }
                }
                SwingLabel {
                    text: "level: "
                    translateX: 5
                    translateY: 260
                }
                levelSlider = SwingSlider {
                    maximum: 10
                    minimum: 0
                    value: 10
                    translateX: 100
                    translateY: 260
                    width: bind scene.width - 110
                }
            ]
        }
}
