package javafxeffects;

import javafx.ext.swing.SwingLabel;
import javafx.ext.swing.SwingSlider;
import javafx.scene.effect.light.DistantLight;
import javafx.scene.effect.Lighting;
import javafx.scene.paint.Color;
import javafx.scene.Scene;
import javafx.scene.shape.Rectangle;
import javafx.stage.Stage;

var scene: Scene;
Stage {
    title: "Surface Scale"
    scene:
    scene = Scene {
        width: 250
        height: 160
        fill: Color.BLACK
        var scaleSlider: SwingSlider;
        content: [
            Rectangle {
                x: 20
                y: 20
                width: 100
                height: 100
                fill: Color.YELLOW
                effect: Lighting {
                    light: DistantLight {
                        azimuth: 0
                        elevation: 30
                    }
                    surfaceScale: bind (scaleSlider.value as Number) / 10
                }
            }

            SwingLabel {
                text: "surfaceScale: "
                translateX: 5
                translateY: 140
                foreground: Color.WHITE
            }
            scaleSlider = SwingSlider {
                maximum: 100
                minimum: 0
                value: 15
                translateX: 80
                translateY: 140
                width: bind scene.width - 90
            }
        ]
    }
}
