package javafxsequences;

var x:nativearray of Integer;
println(x);

var text = "Hello, world";
var chars:nativearray of Character = text.toCharArray();
println("Character 7 is {chars[7]}");
chars[7] = 'W'.charAt(0);
var textCopy = new String(chars);
println("Modified text is [{textCopy}]");

println("Number of characters is {chars.length}");
println("Number of characters is {sizeof chars}");


var integers1 = java.lang.reflect.Array.newInstance(Integer.TYPE, 10)
                                      as nativearray of Integer;

// The following code produces a ClassCastException
/* var integers2 = java.lang.reflect.Array.newInstance(Integer.class, 10)
                                      as nativearray of Integer;*/

// Note: the following code does not work in JavaFX 1.2, but should
// be OK in JavaFX 1.3
/*var integers3 = java.lang.reflect.Array.newInstance(Integer.TYPE, 10, 5)
                                      as nativearray of nativearray of Integer;
println("Array length: {integers3.length}, element 0 length: {sizeof integers3[0]}");*/

