package javafxshapes;

import javafx.scene.Scene;
import javafx.scene.paint.Color;
import javafx.scene.shape.Circle;
import javafx.scene.shape.Rectangle;
import javafx.scene.shape.ShapeIntersect;
import javafx.scene.shape.ShapeSubtract;
import javafx.stage.Stage;

Stage {
    title: "Shape Operations"
    scene: Scene {
        width: 200
        height: 150
        content: [
            Rectangle { x: 10 y: 20 width: 140 height: 20
                        fill: Color.YELLOW }
            Circle { centerX: 80 centerY: 30 radius: 20
                     fill: Color.GREEN }
            ShapeIntersect {
                a: Rectangle { x: 10 y: 60 width: 140 height: 20 }
                b: Circle { centerX: 80 centerY: 70 radius: 20 }
                fill: Color.ORANGE
            }
            ShapeSubtract {
                a: Rectangle { x: 10 y: 100 width: 140 height: 20 }
                b: Circle { centerX: 80 centerY: 110 radius: 20 }
                fill: Color.RED
            }
        ]
    }
}