package javafxswing;

import javafx.animation.Timeline;
import javafx.scene.Scene;
import javafx.stage.Stage;
import javafxswing.WrappedProgressBar;

var value: Integer;
Stage {
    title: "Progress Bar Example #2"
    scene: Scene {
        width: 200
        height: 40
        var pb: WrappedProgressBar;
        content: [
            pb = WrappedProgressBar {
                minimum: 0
                maximum: 100
                indeterminate: false
                string: bind "{pb.value}% complete"
                value: bind value
                translateX: 20
                translateY: 10
            }
        ]
    }
}

var t = Timeline {
    repeatCount: Timeline.INDEFINITE
    autoReverse: true
    keyFrames: [
        at (10s) { value => 100 }
    ]
};
t.play();
