package javafxswing;

import javafx.ext.swing.SwingButton;
import javafx.ext.swing.SwingIcon;
import javafx.scene.image.Image;
import javafx.scene.Scene;
import javafx.stage.Stage;

def img = Image { url: "{__DIR__}FXLogo.gif" }
def icon = SwingIcon { image: img };

Stage {
    title: "Swing Buttons #1"
    scene: Scene {
        width: 230
        height: 110
        content: [
            SwingButton {
                text: "Enabled"
                icon: icon
                action: function():Void {
                    println("Button pressed");
                }
                translateX: 70 translateY: 15
            }
            SwingButton {
                text: "Disabled"
                icon: icon
                disable: true
                action: function():Void {
                    println("Button pressed");
                }
                translateX: 70 translateY: 60
            }
        ]
    }
}

