package javafxswing;

import javafx.ext.swing.SwingHorizontalAlignment;
import javafx.ext.swing.SwingIcon;
import javafx.ext.swing.SwingLabel;
import javafx.scene.image.Image;
import javafx.scene.Scene;
import javafx.scene.shape.Line;
import javafx.stage.Stage;

def img = Image { url: "{__DIR__}FXLogo.gif"
}
def icon = SwingIcon {image: img
};
def height = 64;
var scene: Scene;

Stage {
    title: "Swing Labels #4"
    scene:
    scene = Scene {
        width: 300
        height: 5 * height + 5
        content: [
            SwingLabel {
                text: "Left"
                icon: icon
                horizontalTextPosition: SwingHorizontalAlignment.LEFT
                horizontalAlignment: SwingHorizontalAlignment.CENTER
                translateY: 0
                height: height
                width: bind scene.width
            }
            Line {
                startX: 0
                endX: bind scene.width
                startY: height
                endY: height
            }
            SwingLabel {
                text: "Leading"
                icon: icon
                horizontalTextPosition: SwingHorizontalAlignment.LEADING
                horizontalAlignment: SwingHorizontalAlignment.CENTER
                translateY: height + 1
                height: height
                width: bind scene.width
            }
            Line {
                startX: 0
                endX: bind scene.width
                startY: 2 * height + 1
                endY: 2 * height + 1
            }
            SwingLabel {
                text: "Trailing"
                icon: icon
                horizontalTextPosition: SwingHorizontalAlignment.TRAILING
                horizontalAlignment: SwingHorizontalAlignment.CENTER
                translateY: 2 * height + 2
                height: height
                width: bind scene.width
            }
            Line {
                startX: 0
                endX: bind scene.width
                startY: 3 * height + 1
                endY: 3 * height + 1
            }
            SwingLabel {
                text: "Center"
                icon: icon
                horizontalTextPosition: SwingHorizontalAlignment.CENTER
                horizontalAlignment: SwingHorizontalAlignment.CENTER
                translateY: 3 * height + 2
                height: height
                width: bind scene.width
            }
            Line {
                startX: 0
                endX: bind scene.width
                startY: 4 * height + 1
                endY: 4 * height + 1
            }
            SwingLabel {
                text: "Right"
                icon: icon
                horizontalTextPosition: SwingHorizontalAlignment.RIGHT
                horizontalAlignment: SwingHorizontalAlignment.CENTER
                translateY: 4 * height + 2
                height: height
                width: bind scene.width
            }
        ]
    }
}