package javafxnodes;

import javafx.scene.paint.Color;
import javafx.scene.Scene;
import javafx.scene.shape.Rectangle;
import javafx.scene.text.Font;
import javafx.scene.text.Text;
import javafx.stage.Stage;

var rect1:Rectangle;
var rect2:Rectangle;
var text:Text;

Stage {
    title: "Mouse Hover"
    scene: Scene {
        width: 280 height: 120
        content: [
            rect1 = Rectangle {
                x: 10 y: 10
                width: 80 height: 80
                fill: bind if (rect1.hover) {
                           Color.RED
                      } else {
                           Color.YELLOW
                      }
                stroke: Color.BLACK
            }
            rect2 = Rectangle {
                x: 100 y: 10
                width: 80 height: 80
                stroke: bind if (rect2.hover) {
                            Color.RED
                        } else {
                            Color.ORANGE
                        }
                fill: null
            }
            text = Text {
                font: Font { size: 24 }
                x: 200 y: 40
                content: "Text"
                fill: bind if (text.hover) {
                           Color.RED
                      } else {
                           Color.BLACK
                      }
                stroke: bind text.fill
            }
        ]
    }
}
