package javafxnodes;

import javafx.scene.paint.Color;
import javafx.scene.paint.LinearGradient;
import javafx.scene.paint.Stop;
import javafx.scene.Scene;
import javafx.stage.Stage;

// Diagonal gradient
Stage {
    title: "Linear Color Gradient"
    x: 0 y: 0
    scene: Scene {
        width: 200 height: 200
        fill: LinearGradient {
            proportional: true
            startX: 0.0 startY: 0.0
            endX: 1.0 endY: 1.0
            stops: [
                Stop { offset: 0.0 color: Color.GREEN }
                Stop { offset: 0.5 color: Color.WHITE }
                Stop { offset: 1.0 color: Color.BLACK }
            ]
        }
    }
}