package javafxnodes;

import javafx.scene.paint.Color;
import javafx.scene.paint.LinearGradient;
import javafx.scene.paint.Stop;
import javafx.scene.Scene;
import javafx.stage.Stage;

// Stops not covering the whole space.
Stage {
    title: "Linear Color Gradient"
    x: 0 y: 0
    scene: Scene {
        width: 200 height: 200
        fill: LinearGradient {
            proportional: true
            startX: 0.0 startY: 0.5
            endX: 1.0 endY: 0.5
            stops: [
                Stop { offset: 0.2 color: Color.WHITE }
                Stop { offset: 0.6 color: Color.BLACK }
            ]
        }
    }
}