package javafxnodes;

import javafx.scene.paint.Color;
import javafx.scene.paint.CycleMethod;
import javafx.scene.paint.LinearGradient;
import javafx.scene.paint.Stop;
import javafx.scene.Scene;
import javafx.stage.Stage;

// Gradient not covering the whole scene.
Stage {
    title: "Linear Color Gradient"
    x: 0 y: 0
    scene: Scene {
        width: 200 height: 200
        fill: LinearGradient {
            proportional: true
            startX: 0.2 startY: 0.0
            endX: 0.6 endY: 0.0
            stops: [
                Stop { offset: 0.0 color: Color.WHITE }
                Stop {offset: 1.0 color: Color.BLACK }
            ]
            cycleMethod: CycleMethod.NO_CYCLE
        }
    }
}