package javafxnodes;

import javafx.scene.paint.Color;
import javafx.scene.paint.CycleMethod;
import javafx.scene.paint.LinearGradient;
import javafx.scene.paint.Stop;
import javafx.scene.Scene;
import javafx.stage.Stage;

// The REFLECT cycle method with the stops not covering
// the whole gradient area.
Stage {
    title: "Linear Color Gradient"
    x: 0 y: 0
    scene: Scene {
        width: 200 height: 200
        fill: LinearGradient {
            proportional: true
            startX: 0.0 startY: 0.0
            endX: 0.5 endY: 0.0
            stops: [
                Stop { offset: 0.0 color: Color.WHITE }
                Stop { offset: 0.4 color: Color.BLACK }
            ]
            cycleMethod: CycleMethod.REFLECT
        }
    }
}