package javafxnodes;

import javafx.scene.paint.Color;
import javafx.scene.paint.LinearGradient;
import javafx.scene.paint.Stop;
import javafx.scene.Scene;
import javafx.scene.shape.Circle;
import javafx.stage.Stage;

Stage {
    title: "Linear Gradient Stroke"
    scene: Scene {
        width: 200
        height: 200
        content: [ 
            Circle {
                centerX: 100
                centerY: 100
                radius: 90
                fill: Color.YELLOW
                strokeWidth: 4
                stroke: LinearGradient {
                    startX: 0.0 startY: 0.5
                    endX: 1.0 endY: 0.5
                    stops: [
                        Stop { offset: 0 color: Color.WHITE }
                        Stop { offset: 1.0 color: Color.BLACK }
                    ]
                }
            }
        ]
    }
}
