package javafxnodes;

import javafx.scene.paint.Color;
import javafx.scene.Scene;
import javafx.scene.shape.Circle;
import javafx.scene.shape.Rectangle;
import javafx.stage.Stage;

var scene:Scene;
Stage {
    title: "Mouse Events 4"
    scene: scene = Scene {
        width: 200
        height: 200
        content: [
            Rectangle {
                x: 0 y: 0
                width: bind scene.width height: bind scene.height
                fill: Color.TRANSPARENT
                onMouseEntered: function(evt) {
                    println("Enter Rectangle ({evt.x}, {evt.y})");
                }
                onMouseExited: function(evt) {
                    println("Exit Rectangle ({evt.x}, {evt.y})");
                }
                onMouseMoved: function(evt) {
                    println("Move Rectangle ({evt.x}, {evt.y})");
                }
            }
            Circle {
                centerX: 100 centerY: 100
                radius: 80
                fill: Color.GREEN stroke: Color.BLACK
                blocksMouse: true
                onMouseEntered: function(evt) {
                    println("Enter Circle ({evt.x}, {evt.y})");
                }
                onMouseExited: function(evt) {
                    println("Exit Circle ({evt.x}, {evt.y})");
                }
                onMouseMoved: function(evt) {
                    println("Move Circle ({evt.x}, {evt.y})");
                }
            }
        ]
    }
}