package javafxnodes;

import javafx.scene.paint.Color;
import javafx.scene.Scene;
import javafx.scene.shape.Rectangle;
import javafx.stage.Stage;

Stage {
    title: "Mouse Events 7"
    scene: Scene {
        width: 500
        height: 500
        content: [
            Rectangle {
                x: 10 y: 10
                width: 50 height: 50
                fill: Color.YELLOW stroke: Color.BLACK
                onMousePressed: function(evt) {
                    println("Pressed: {evt}");
                }
                onMouseDragged: function(evt) {
                    println("dragAnchorX: {evt.dragAnchorX}, "
                            "dragAnchorY: {evt.dragAnchorY}, "
                            "dragX: {evt.dragX}, "
                            "dragY: {evt.dragY}");
                }
                onMouseReleased: function(evt) {
                    println("Released: {evt}");
                }
            }
        ]
    }
}
