package javafxnodes;

import javafx.scene.paint.Color;
import javafx.scene.paint.RadialGradient;
import javafx.scene.paint.Stop;
import javafx.scene.Scene;
import javafx.scene.shape.Rectangle;
import javafx.stage.Stage;

// RadialGradient in a square, off-center
Stage {
    title: "Radial Gradient"
    scene: Scene {
        width: 200 height: 200
        content: [
            Rectangle {
                x: 10 y: 10
                width: 180 height: 180
                stroke: Color.BLACK
                fill: RadialGradient {
                    proportional: true
                    centerX: 0.25 centerY: 0.75
                    radius: 0.75
                    stops: [
                        Stop { offset: 0.0 color: Color.WHITE }
                        Stop { offset: 0.5 color: Color.YELLOW }
                        Stop { offset: 1.0 color: Color.GREEN }
                    ]
                }
            }
        ]
    }
}