package javafxnodes;

import javafx.scene.paint.Color;
import javafx.scene.paint.CycleMethod;
import javafx.scene.paint.RadialGradient;
import javafx.scene.paint.Stop;
import javafx.scene.Scene;
import javafx.scene.shape.Rectangle;
import javafx.stage.Stage;

// CycleMethod.REPEAT
Stage {
    title: "Radial Gradient"
    scene: Scene {
        width: 200 height: 200
        content: [
            Rectangle {
                x: 10 y: 10
                width: 180 height: 180
                stroke: Color.BLACK
                fill: RadialGradient {
                    proportional: true
                    centerX: 0.5 centerY: 0.5
                    radius: 0.3
                    stops: [
                        Stop { offset: 0.3 color: Color.PINK }
                        Stop { offset: 0.6 color: Color.WHITE }
                        Stop { offset: 1.0 color: Color.GREEN }
                    ]
                    cycleMethod: CycleMethod.REPEAT
                }
            }
        ]
    }
}