package javafxshapes;

import javafx.stage.Stage;
import javafx.scene.Scene;
import javafx.scene.shape.Circle;
import javafx.scene.shape.StrokeLineCap;
import javafx.scene.paint.Color;
import javafx.scene.shape.Rectangle;

Stage {
    title: "Dashed Outlines"
    scene: Scene {
        width: 200
        height: 200
        content: [
            Circle {
                centerX: 50 centerY: 50
                radius: 40 fill: null
                stroke: Color.BLACK
                strokeLineCap: StrokeLineCap.BUTT
                strokeDashArray: [ 3, 3 ]
            }
            Rectangle {
                x: 10 y: 100
                width: 100 height: 50
                fill: null
                stroke: Color.RED
                strokeWidth: 4
                strokeLineCap: StrokeLineCap.BUTT
                strokeDashArray: [ 4, 2, 2, 4 ]
            }
        ]
    }
}
