package javafxshapes;

import javafx.scene.paint.Color;
import javafx.scene.Scene;
import javafx.scene.shape.ClosePath;
import javafx.scene.shape.FillRule;
import javafx.scene.shape.HLineTo;
import javafx.scene.shape.LineTo;
import javafx.scene.shape.MoveTo;
import javafx.scene.shape.Path;
import javafx.stage.Stage;

Stage {
    title: "Filled Stars"
    scene: Scene {
        width: 200
        height: 350
        content: [
            Path {
                fill: Color.YELLOW
                fillRule: FillRule.NON_ZERO
                stroke: Color.BLACK
                elements: [
                    MoveTo { x: 10 y: 60 }
                    HLineTo { x: 180 absolute: false }
                    LineTo { x: -150 y: 110 absolute: false }
                    LineTo { x: 60 y: -160 absolute: false }
                    LineTo { x: 80 y: 160 absolute: false }
                    ClosePath {}
                ]
            }
            Path {
                fill: Color.YELLOW
                fillRule: FillRule.EVEN_ODD
                stroke: Color.BLACK
                elements: [
                    MoveTo { x: 10 y: 220 }
                    HLineTo { x: 180 absolute: false }
                    LineTo { x: -150 y: 110 absolute: false }
                    LineTo { x: 60 y: -160 absolute: false }
                    LineTo { x: 80 y: 160 absolute: false }
                    ClosePath {}
                ]
            }
        ]
    }
}
