package javafxshapes; 

import javafx.scene.layout.HBox; 
import javafx.scene.layout.VBox; 
import javafx.scene.Scene; 
import javafx.scene.shape.Rectangle; 
import javafx.scene.text.Font; 
import javafx.scene.text.FontPosture; 
import javafx.scene.text.FontWeight; 
import javafx.scene.text.Text; 
import javafx.scene.text.TextOrigin; 
import javafx.stage.Stage; 

Stage { 
    title: "Font Families and Faces"
    scene: Scene { 
        width: 400
        height: 160
        content: [ 
            HBox {
                spacing: 16
                content: [ 
                    VBox { 
                        spacing: 16 
                        content: [ 
                            Rectangle { height: 16 } 
                            Text { 
                                font: Font { name: "Tahoma" size: 16 } 
                                textOrigin: TextOrigin.TOP 
                                content: "Tahoma" 
                            } 
                            Text { 
                                font: Font.font("Tahoma", FontWeight.BOLD, 16) 
                                textOrigin: TextOrigin.TOP 
                                content: "Tahoma Bold" 
                            } 
                            Text { 
                                font: Font.font("Tahoma", FontWeight.REGULAR, FontPosture.ITALIC, 16) 
                                textOrigin: TextOrigin.TOP 
                                content: "Tahoma Italic" 
                            } 
                            Text { 
                                font: Font.font("Tahoma", FontWeight.BOLD, FontPosture.ITALIC, 16) 
                                textOrigin: TextOrigin.TOP 
                                content: "Tahoma Bold Italic" 
                            } 
                        ] 
                    } 
                    VBox {
                        spacing: 16
                        content: [
                            Rectangle { height: 16 }
                            Text {
                                font: Font { name: "Times New Roman" size: 16 }
                                textOrigin: TextOrigin.TOP
                                content: "Times New Roman"
                            }
                            Text {
                                font: Font.font("Times New Roman", FontWeight.BOLD, 16)
                                textOrigin: TextOrigin.TOP
                                content: "Times New Roman Bold"
                            }
                            Text {
                                font: Font.font("Times New Roman", FontWeight.REGULAR, FontPosture.ITALIC, 16)
                                textOrigin: TextOrigin.TOP
                                content: "Times New Roman Italic"
                            }
                            Text {
                                font: Font.font("Times New Roman", FontWeight.BOLD, FontPosture.ITALIC, 16)
                                textOrigin: TextOrigin.TOP
                                content: "Times New Roman Bold Italic"
                            }
                        ]
                    } 
                ] 
            } 
        ] 
    } 
} 

