package javafxshapes;

import javafx.scene.paint.Color;
import javafx.scene.Scene;
import javafx.scene.shape.ClosePath;
import javafx.scene.shape.HLineTo;
import javafx.scene.shape.LineTo;
import javafx.scene.shape.MoveTo;
import javafx.scene.shape.Path;
import javafx.stage.Stage;

Stage {
    title: "Straight Lines"
    scene: Scene {
        width: 200
        height: 200
        content: Path {
            fill: null
            stroke: Color.BLACK
            elements: [
                MoveTo { x: 10 y: 60 }                    // 1
                HLineTo { x: 180 absolute: false }        // 2
                LineTo { x: -150 y: 110 absolute: false } // 3
                LineTo { x: 60 y: -160 absolute: false }  // 4
                LineTo { x: 80 y: 160 absolute: false }   // 5
                ClosePath {}                              // 6
            ]
        }
    }
}
