package javafxtransforms;

import javafx.scene.paint.Color;
import javafx.scene.Scene;
import javafx.scene.shape.Rectangle;
import javafx.scene.transform.Affine;
import javafx.stage.Stage;
import javafxtransforms.CoordinateGrid;

var scene:Scene;
Stage {
    title: "Affine Transform"
    scene:
    scene = Scene {
        width: 200
        height: 200
        content: [
            CoordinateGrid {
                width: bind scene.width
                height: bind scene.height
            }
            CoordinateGrid {
                width: bind scene.width
                height: bind scene.height
                gridLineColor: Color.BLACK
                transforms: Affine { mxx: 1.2 mxy: 0   tx: 10
                                     myx: 0.0 myy: 1.5 ty: 20 }
            }
            Rectangle {
                x: 30
                y: 60
                width: 100
                height: 40
                fill: Color.YELLOW
                transforms: Affine { mxx: 1.2 mxy: 0   tx: 10
                                     myx: 0.0 myy: 1.5 ty: 20 }
            }
        ]
    }
}
