package javafxtransforms;

import javafx.scene.Node;
import javafx.scene.paint.Color;
import javafx.scene.Group;
import javafx.scene.Scene;
import javafx.scene.shape.Rectangle;
import javafx.scene.transform.Translate;
import javafx.stage.Stage;
import javafxtransforms.CoordinateGrid;

var scene:Scene;
var node:Node;
Stage {
    title: "Bounds #6"
    scene:
    scene = Scene {
        width: 200
        height: 200
        content: [
            CoordinateGrid {
                width: bind scene.width
                height: bind scene.height
            }
            Group {
                transforms: Translate { x: 30 y: 20 }
                content: [
                    node = Rectangle {
                        x: 30
                        y: 60
                        width: 100
                        height: 40
                        fill: Color.YELLOW
                        transforms: [
                            Translate { x: 10 y: 10 },
                        ]
                    }
                ]
            }
        ]
    }
}
println("Layout bounds: {node.layoutBounds}");
println("Local bounds: {node.boundsInLocal}");
println("Parent bounds: {node.boundsInParent}");
