package javafxtransforms;

import javafx.animation.Interpolator;
import javafx.animation.Timeline;
import javafx.scene.Group;
import javafx.scene.paint.Color;
import javafx.scene.Scene;
import javafx.scene.shape.Circle;
import javafx.scene.shape.Rectangle;
import javafx.scene.text.Font;
import javafx.scene.text.Text;
import javafx.scene.text.TextOrigin;
import javafx.stage.Stage;

var scale = 1.0;
Stage {
    title: "Clip #2"
    scene: Scene {
        width: 200
        height: 200
        content: [
            Rectangle {
                x: 50
                y: 50
                width: 100
                height: 100
                scaleX: bind scale
                scaleY: bind scale
                fill: Color.YELLOW
                clip: Group {
                    content: [
                        Circle {
                            centerX: 100
                            centerY: 100
                            radius: 20
                        }
                        Text {
                            textOrigin: TextOrigin.TOP
                            x: 70
                            y: 50
                            content: "JavaFX"
                            font: Font {
                                size: 20
                            }
                        }
                    ]
                }
            }
        ]
    }
}

var t = Timeline {
    repeatCount: Timeline.INDEFINITE
    autoReverse: true
    keyFrames: [
        at (0s) { scale => 1.0 tween Interpolator.EASEBOTH }
        at (2s) { scale => 1.5 tween Interpolator.EASEBOTH }
    ]
};
t.play();