package javafxtransforms;

import javafx.stage.Stage;
import javafx.scene.Scene;
import javafx.scene.layout.Flow;
import javafx.geometry.HPos;
import javafx.scene.paint.Color;
import javafx.scene.image.Image;
import javafx.scene.image.ImageView;
import javafx.geometry.Insets;

var scene:Scene;
Stage {
    title: "Flow #3"
    width: 400
    height: 300
    scene: scene = Scene {
        fill: Color.GRAY
        content: [
            Flow {
                width: bind scene.width
                height: bind scene.height
                padding: Insets { top: 4 left: 4 bottom: 4 right: 4 }
                hgap: 8
                vgap: 8
                hpos: HPos.CENTER
                content: [
                    ImageView {
                        image: Image { url: "{__DIR__}images/img1.jpg" }
                    },
                    ImageView {
                        image: Image { url: "{__DIR__}images/img2.jpg" }
                    },
                    ImageView {
                        image: Image { url: "{__DIR__}images/img3.jpg" }
                    },
                    ImageView {
                        image: Image { url: "{__DIR__}images/img4.jpg" }
                    },
                    ImageView {
                        image: Image { url: "{__DIR__}images/img5.jpg" }
                    },
                    ImageView {
                        image: Image { url: "{__DIR__}images/img6.jpg" }
                    },
                ]
            }
        ]
    }
}

