package javafxtransforms;

import javafx.stage.Stage;
import javafx.scene.Scene;
import javafx.scene.layout.VBox;
import javafx.scene.control.TextBox;
import javafx.scene.layout.LayoutInfo;
import javafx.scene.layout.Priority;
import javafx.geometry.VPos;
import javafx.geometry.HPos;
import javafx.geometry.Insets;

Stage {
    var scene:Scene;
    title : "Layout Areas #2"
    scene: scene = Scene {
        width: 200
        height: 100
        content: VBox {
            width: bind scene.width
            height: bind scene.height
            padding: Insets { top: 4 left: 4 bottom: 4 right: 4 }
            spacing: 12
            nodeVPos: VPos.CENTER
            nodeHPos: HPos.TRAILING
            content: [
                TextBox {
                    columns: 15
                    layoutInfo: LayoutInfo {
                        vgrow: Priority.SOMETIMES
                    }
                }
                TextBox {
                    columns: 15
                    layoutInfo: LayoutInfo {
                        hfill: false
                        vgrow: Priority.ALWAYS
                        maxHeight: 100
                    }
                }
            ]
        }
    }
}

