package javafxtransforms;

import javafx.scene.paint.Color;
import javafx.scene.Scene;
import javafx.scene.shape.Rectangle;
import javafx.stage.Stage;
import javafxtransforms.CoordinateGrid;
import javafx.scene.transform.Rotate;
import javafx.scene.PerspectiveCamera;

var scene:Scene;
Stage {
    title: "Rotate #4"
    scene:
    scene = Scene {
        width: 200
        height: 200
        camera: PerspectiveCamera {
            fieldOfView: 60
        }
        content: [
            CoordinateGrid {
                width: bind scene.width
                height: bind scene.height
            }
            Rectangle {
                x: 30
                y: 80
                width: 100
                height: 40
                fill: Color.GREEN
                rotationAxis: Rotate.Y_AXIS
                rotate: 60
            }
        ]
    }
}