package javafxtransforms;

import javafx.scene.paint.Color;
import javafx.scene.Scene;
import javafx.scene.text.Text;
import javafx.scene.text.TextOrigin;
import javafx.scene.transform.Transform;
import javafx.stage.Stage;
import javafxtransforms.CoordinateGrid;

var scene1:Scene;
var scene2:Scene;
Stage {
    title: "Scaling #3.1"
    scene:
    scene1 = Scene {
        width: 200
        height: 200
        content: [
            CoordinateGrid {
                width: bind scene1.width
                height: bind scene1.height
            }
            Text {
                textOrigin: TextOrigin.TOP
                x: 50
                y: 60
                content: "HELLO"
            }
        ]
    }
}

Stage {
    title: "Scaling #3.2"
    scene:
    scene2 = Scene {
        width: 200
        height: 200
        content: [
            CoordinateGrid {
                width: bind scene2.width
                height: bind scene2.height
            }
            Text {
                textOrigin: TextOrigin.TOP
                x: 50
                y: 60
                content: "HELLO"
                transforms: Transform.scale(1.5, 2.0, 20, 20)
            }
        ]
    }
}
