package javafxtransforms;

import javafx.stage.Screen;
import javafx.util.Sequences;

import javafx.stage.Stage;

var screens = Screen.screens;
var primary = Screen.primary;
var index = Sequences.indexOf(screens, primary);
println("Number of screens: {sizeof screens}");
println("Index of primary: {index}");

for (i in [0..<sizeof screens]) {
    var screen = screens[i];
    println("Screen {i}");
    println("  DPI: {screen.dpi}");
    println("  Bounds: {screen.bounds}");
    println("  Visual bounds: {screen.visualBounds}");
    println("");
}

var stage:Stage = Stage {
    title: bind "Position: ({stage.x}, {stage.y})"
    width: 400
    height: 300
}

