package javafxtransforms;

import javafx.stage.Stage;
import javafx.scene.Scene;
import javafx.scene.layout.Tile;
import javafx.scene.image.Image;
import javafx.scene.image.ImageView;
import javafx.scene.paint.Color;

import javafx.geometry.HPos;
import javafx.geometry.VPos;

var scene:Scene;
Stage {
    title : "Tile #6"
    scene: scene = Scene {
        width: 300
        height: 350
        fill: Color.GRAY
        content: [
            Tile {
               width: bind scene.width
               height: bind scene.height
               hgap: 2
               vgap: 2
               autoSizeTiles: false
               tileWidth: 100
               tileHeight: 100
               hpos: HPos.RIGHT
               vpos: VPos.BOTTOM
               content: [
                   ImageView {
                       image: Image {
                           url: "{__DIR__}images/img1.jpg"
                       }
                   }
                   ImageView {
                       image: Image {
                           url: "{__DIR__}images/img2.jpg"
                       }
                   }
                   ImageView {
                       image: Image {
                           url: "{__DIR__}images/img4.jpg"
                       }
                   }
                   ImageView {
                       image: Image {
                           url: "{__DIR__}images/img5.jpg"
                       }
                   }
                   ImageView {
                       image: Image {
                           url: "{__DIR__}images/img6.jpg"
                       }
                   }
               ]
            }
        ]
    }
}



