package javafxtransforms;

import javafx.stage.Stage;
import javafx.scene.Scene;
import javafx.scene.layout.VBox;
import javafx.scene.image.Image;
import javafx.scene.image.ImageView;
import javafx.scene.paint.Color;

import javafx.geometry.HPos;
import javafx.geometry.VPos;

var scene:Scene;
Stage {
    title : "VBox #2"
    scene: scene = Scene {
        width: 200
        height: 300
        fill: Color.BLACK
        content: [
            VBox {
                width: bind scene.width
                height: bind scene.height
                spacing: 4
                hpos: HPos.RIGHT
                vpos: VPos.CENTER
                nodeHPos: HPos.RIGHT
                content: [
                    ImageView {
                        image: Image { url: "{__DIR__}images/img1.jpg" }
                    },
                    ImageView {
                        image: Image { url: "{__DIR__}images/img2.jpg" }
                    },
                    ImageView {
                        image: Image { url: "{__DIR__}images/img3.jpg" }
                    },
                ]
            }
        ]
    }
}
