package javafxuibasics;

import javafx.stage.Stage;
import javafx.scene.Scene;
import javafx.scene.shape.Rectangle;
import javafx.scene.paint.Color;
import javafx.animation.Timeline;
import javafx.scene.effect.DropShadow;
import javafx.scene.PerspectiveCamera;

var z:Number;
Stage {
    title : "JavaFX 3D Features"
    scene: Scene {
        width: 300
        height: 300
        camera: bind PerspectiveCamera {
            fieldOfView: 30
        }
        content: [
            Rectangle {
                x: 0
                y: 0
                width: 100
                height: 100
                translateX: 100
                translateY: 100
                translateZ: bind z;
                fill: Color.GREEN
                effect: DropShadow {
                    radius: 10 
                }
            }
        ]
    }
}

Timeline {
    repeatCount: Timeline.INDEFINITE
    autoReverse: true
    keyFrames: [
        at(0s) {
            z => 0
        }
        at (5s) {
            z => -300
        }
    ]
}.play();


