
package javafxuibasics;
import javafx.scene.Scene;
import javafx.stage.Stage;

var stage1:Stage = Stage {
    title: "Decorated Stage"
    scene: Scene {
               width: 200
               height: 100
           }
    onClose: function() { FX.exit() }
}

var stage2 = Stage {
    width: 300
    height: 200
    scene: Scene {
           }
}

FX.deferAction(function() {
    println("stage1: width = {stage1.width}, "
                    "height: {stage1.height}");
    println("   scene1: width = {stage1.scene.width}, "
                       "height = {stage1.scene.height}");
    println("   scene1: x = {stage1.scene.x}, "
                       "y = {stage1.scene.y}");

    println("stage2: width = {stage2.width}, height: {stage2.height}");
    println("   scene2: width = {stage2.scene.width}, "
                       "height = {stage2.scene.height}");
    println("   scene2: x = {stage2.scene.x}, "
                       "y = {stage2.scene.y}");
});
