
package javafxuibasics;

import javafx.scene.paint.Color;
import javafx.scene.Scene;
import javafx.scene.shape.Circle;
import javafx.scene.shape.Rectangle;
import javafx.stage.Stage;

Stage {
    title: "Stage Bounds Example"
    scene: Scene {
        content: [
            Rectangle {
                x: 10 y: 10
                width: 200 height: 200
                fill: Color.YELLOW
                stroke: Color.BLACK
            },
            Circle {
                centerX: 150 centerY: 150
                radius: 80
                fill: Color.GREEN
                stroke: Color.BLACK
            }
        ]
    }
    override var x on replace { println("x -> {x}") };
    override var y on replace { println("y -> {y}") };
    override var width on replace { println("width -> {width}") };
    override var height on replace { println("height -> {height}") };
}
