
package javafxuibasics;

import javafx.animation.KeyFrame;
import javafx.animation.Timeline;
import javafx.scene.Scene;
import javafx.scene.text.Text;
import javafx.stage.Stage;

var stage1 = Stage {
    title: "Stage 1"
    x: 100
    y: 200
    scene: Scene {
        content: Text {
            content: "Stage 1"
            y: 20
        }
    }
}

Stage {
    title: "Stage 2"
    x: 150
    y: 250
    scene: Scene {
        content: Text {
            content: "Stage 2"
            y: 20
        }
    }
}

var timeline = Timeline {
    repeatCount: Timeline.INDEFINITE
    autoReverse: true
    keyFrames: [
        KeyFrame {
            time: 0s
            action: function() { 
                stage1.toFront()
            }
        },
        KeyFrame {
            time: 5s
            action: function() { 
                stage1.toBack();
            }
        }
    ]
}
timeline.play();
