package javafxuibasics;

import javafx.animation.Interpolator;
import javafx.animation.KeyFrame;
import javafx.animation.Timeline;
import javafx.scene.Scene;
import javafx.scene.text.Font;
import javafx.scene.text.Text;
import javafx.stage.Stage;

var opacity = 1.0;
var stage:Stage = Stage {
    title: "Translucent Frame"
    width: 300
    height: 100
    opacity: bind opacity
    scene: Scene {
        content: [
            Text {
                x: 10
                y: 32
                font: Font { size: 24 }
                content: bind "Opacity: {opacity}"
            }
        ]
    }
}

var timeline = Timeline {
    repeatCount: Timeline.INDEFINITE
    autoReverse: true
    keyFrames: [
        KeyFrame {
            time: 0s
            values: opacity => 1.0;
        },
        KeyFrame {
            time: 5s
            values: opacity => 0.0 tween Interpolator.LINEAR;
        }
    ]
};
timeline.play();