package javafxuibasics;

import javafx.animation.Interpolator;
import javafx.animation.KeyFrame;
import javafx.animation.Timeline;
import javafx.scene.paint.Color;
import javafx.scene.Scene;
import javafx.scene.text.Font;
import javafx.scene.text.Text;
import javafx.stage.Stage;
import javafx.stage.StageStyle;

var count = 10;
var stage:Stage = Stage {
    width: 300
    height: 100
    style: StageStyle.UNDECORATED
    scene: Scene {
        fill: Color.YELLOW
        content: [
            Text {
                x: 10
                y: 32
                font: Font { size: 24 }
                content: bind "UNDECORATED\nClosing in {count}"
            }
        ]
    }
}

var timeline = Timeline {
    keyFrames: [
        KeyFrame {
            time: 10s
            values: count => 0 tween Interpolator.LINEAR;
            action: function() { 
                stage.close()

            }
        }
    ]
};
timeline.play();