package javafxbinding;

import java.lang.Math;

var threshold:Number;

bound function subset(args:Number[]):Number[] {
    var results = for (arg in args) {
                      Math.sin(Math.toRadians(arg)) as Number
                  };
    return results[n | n > threshold];
}

// Return the positive sine values.    
threshold = 0.0;
var values:Number[] = [0, 45, 90, 135, 180, 225, 270, 315, 360];
var results = bind subset(values);     
println(results.toString());

// Returns the sine values that are greater than 0.5
threshold = 0.5;
println(results.toString());





