package javafxclasses;

class InitBase {
    public-init var baseValue = 32 on replace {
                   println("Base: baseValue set to {baseValue}");
                }

    init {
        println("Base init called, baseValue = {baseValue}");
    }

    postinit {
        println("Base postinit called, baseValue = {baseValue}");
    }
}

class InitDerived extends InitBase {
    public-init var derivedValue = 64 on replace {
                   println("Derived: derivedValue set to {derivedValue}");
                }


    init {
        println("Derived init called, derivedValue = {derivedValue}");
    }

    postinit {
        println("Derived postinit called, derivedValue = "
                "{derivedValue}");
    }
}

InitBase { baseValue: 40 }
println("------------------");
InitDerived { baseValue: 40 derivedValue: 64 }
println("------------------");

