package javafxclasses;

mixin class Mixin1 {
    var name = "Mixin1";

    function doSomething() {
        println("Mixin1 doSomething()");
    }
}

mixin class Mixin2 extends Mixin1 {
    override var name = "Mixin2";

    override function doSomething() {
        println("Mixin2 doSomething()");
    }
}

class Mixee1 extends Mixin2 {
}

class Mixee2 extends Mixin2 {
    override var name = "Mixee2";
}

var m1 = Mixee1 {};
println("Variable: {m1.name}");
m1.doSomething();

var m2 = Mixee2 {};
println("Variable: {m2.name}");
m2.doSomething();


