package javafxclasses;

mixin class Mixin1 {
    init { println("Mixin1 init") }
    postinit { println("Mixin1 postinit") }
}

mixin class Mixin2 extends Mixin1 {
    init { println("Mixin2 init") }
    postinit { println("Mixin2 postinit") }
}

mixin class Mixin3 {
    init { println("Mixin3 init") }
    postinit { println("Mixin3 postinit") }
}

class Base {
    init { println("Base init") }
    postinit { println("Base postinit") }
}

class Mixee1 extends Mixin1, Mixin2, Mixin3, Base {
    init { println("Mixee init") }
    postinit { println("Mixee postinit") }
}

println("Create instance of Mixee1");
var m1 = Mixee1 {};

class Mixee2 extends Mixin3, Mixin1, Mixin2, Base {
    init { println("Mixee init") }
    postinit { println("Mixee postinit") }
}

println("\nCreate instance of Mixee2");
var m2 = Mixee2 {};
