package javafxexprfuncliterals;

import javafx.scene.Scene;
import javafx.scene.text.Text;
import javafx.stage.Stage;

var s1:Stage = Stage {
                   title: "Stage 1"
                   x: 20
                   y: 20
                   width: 200
                   height: 300
                   visible: true
               }
               
var s2:Stage = Stage {
                   title: "Stage 2"
                   x: s1.x + s1.width
                   y: s1.y
                   width: s1.width
                   height: s1.height
                   visible: true
               }
               
var s3:Stage = Stage {
                   title: "Stage 3"        // No separator
                   x: 10,                  // Comma
                   y: 10;                  // Semicolon
                   width: 100 height: 200  // More than one per line
                   visible: true
               }
               
var s4:Stage = Stage {
                   title: "Stage 4"
                   x: 200
                   y: 200
                   width: 300 height: 200
                   visible: true
                   scene: Scene {
                       content: [
                           Text {
                               content: "Hello, JavaFX World"
                               x: 20
                               y: 80
                           }
                       ]
                   }
               }


var s5:Stage = Stage {
                  var area:Integer = bind s5.height * s5.width as Integer
                  title: bind "Stage area is {area} square pixels"
                  visible: true
                  height: 200
                  width: 300
                  x: 100
                  y: 10
               }
               
