package javafxtriggers;

import javafx.scene.Scene;
import javafx.scene.paint.Color;
import javafx.scene.shape.Rectangle;
import javafx.stage.Stage;

Stage {
    title: "Instance Trigger"
    scene: Scene {
        var rect: Rectangle;
        width: 200 height: 200
        content: [
            rect = Rectangle {
                x: 10 y: 10 width: 100 height: 100
                fill: Color.YELLOW
                def hover = bind rect.hover on replace {
                    println("Hover is {hover}");
                }
            }
        ]
    }
}
