package javafxtriggers;

var numbers = [0..10] on replace oldVals[low..high] = newVals {
    println("oldVals: {oldVals.toString()}");
    println("low = {low}, high = {high}");
    println("newVals = {newVals.toString()}");
    println("Result = {numbers.toString()}");
    println("--------------------------");
}

println("Replace element at index 1 with a new value");
numbers[1] = 100;

println("Replace element at index 1 with a sequence");
numbers[1..1] = [200..204];

println("Remove element at index 1");
delete numbers[1];

println("Remove multiple entries from a sequence");
delete numbers[8..];

println("Remove all zeros");
insert 0 into numbers;
delete 0 from numbers;

println("Delete the whole sequence");
delete numbers;

println("Assign a new sequence");
numbers = [0..9];

println("Insert an element at the start");
insert 0 before numbers[0];

println("Insert an element at the end");
insert 10 into numbers;

println("Insert a sequence at the end of a sequnce");
insert [100..105] into numbers;
