package javafxtriggers;

// A trigger attached to a simple variable, basic form
var value1:Integer = 32 on replace {
    println("value1 changed to {value1}");
};
value1 = 1;

// A trigger attached to a simple variable, full form.
var value2:Integer = 32 on replace oldValue = newValue {
    println("value2 changed from {oldValue} to {newValue}");
};
value2 = 1;

// A trigger attached to a bound simple variable.
var targetValue = 1;
def boundValue = bind targetValue on replace {
    println("Bound value changed to {boundValue}");
}
targetValue = 2;


