package javafxanimation;

import javafx.animation.Timeline;
import javafx.scene.Node;
import javafx.scene.Scene;
import javafx.scene.paint.Color;
import javafx.stage.Stage;

var node: Node;
var scene: Scene;
Stage {
    title: "Animation #1"
    scene: scene = Scene {
        width: 500
        height: 100
        content: [
            node = Wheel {
                      fill: Color.YELLOW
                      stroke: Color.BLACK
                      radius: 50
                   }
        ]
    }
}

var timeline = Timeline {
    keyFrames: [
        at (3s) {
            node.translateX => scene.width - node.layoutBounds.width;
            node.rotate => 360;
        }
    ]
}
timeline.play();