package javafxanimation;

import javafx.animation.Timeline;
import javafx.scene.paint.Color;
import javafx.scene.Scene;
import javafx.scene.shape.Circle;
import javafx.scene.shape.DelegateShape;
import javafx.scene.shape.Ellipse;
import javafx.scene.shape.Rectangle;
import javafx.stage.Stage;

var shape:DelegateShape;
Stage {
    title: "Animation #6"
    scene: Scene {
        width: 150
        height: 150
        content: [
            shape = DelegateShape { }
        ]
    }
}

var timeline = Timeline {
    keyFrames: [
        at (0s) {
            shape.shape => Circle {
                              centerX: 75 centerY: 75
                              radius: 50
                           };
            shape.fill => Color.YELLOW;
        }
        at (5s) {
            shape.shape => Rectangle {
                               x: 20 y: 20
                               width: 100 height: 100
                           };
            shape.fill => Color.GREEN;
        }
        at (10s) {
            shape.shape => Ellipse {
                              centerX: 75 centerY: 75
                              radiusX: 60 radiusY: 40
                           };
            shape.fill => Color.RED;
        }
    ]
}
timeline.play();