package javafxanimation;

import javafx.animation.Timeline;
import javafx.scene.Node;
import javafx.scene.paint.Color;
import javafx.scene.Scene;
import javafx.scene.shape.Rectangle;
import javafx.stage.Stage;

var node: Node;
Stage {
    title: "Animation #7"
    width: 200
    height: 200
    scene: Scene {
        content: [
            node = Rectangle {
                x: 40
                y: 40
                width: 100
                height: 50
                fill: Color.YELLOW
                stroke: Color.BLACK
            }
        ]
    }
}

var timeline: Timeline = Timeline {
    repeatCount: Timeline.INDEFINITE
    keyFrames: [
        at (2s) { node.rotate => 90 }
    ]
}
timeline.play();
