package javafxanimation;

import javafx.animation.Timeline;
import javafx.animation.transition.TranslateTransition;
import javafx.scene.paint.Color;
import javafx.scene.Scene;
import javafx.stage.Stage;
import javafxanimation.Wheel;

var wheel = Wheel {
    radius: 20 fill: Color.YELLOW stroke: Color.BLACK
};

Stage {
    title: "Transitions #1"
    resizable: false
    scene: Scene {
        width: 200
        height: 200
        content: [
            wheel
        ]
    }
}

var transition = TranslateTransition {
    duration: 2s
    node: wheel
    repeatCount: Timeline.INDEFINITE
    autoReverse: true
    fromX: 0 fromY: 0
    byX: 160 byY: 160
};
transition.play();

