package javafxcharts;

import javafx.stage.Stage;
import javafx.scene.Scene;
import javafx.scene.chart.PieChart;

import javafx.scene.chart.PieChart3D;


var data = [
    PieChart.Data { label: "Apollo 11" value: 22 }
    PieChart.Data { label: "Apollo 12" value: 34.4 }
    PieChart.Data { label: "Apollo 13" value: 0 }
    PieChart.Data { label: "Apollo 14" value: 43.0 }
    PieChart.Data { label: "Apollo 15" value: 76.8 }
    PieChart.Data { label: "Apollo 16" value: 94.7 }
    PieChart.Data { label: "Apollo 17" value: 110.5 }
];

Stage {
    title: "Pie Chart #2"
    scene: Scene {
        content: [
            PieChart3D {
                title: "Weight of Lunar Samples by Flight (kg)"
                data: data
                pieThickness: 32
            }
        ]
    }
}