package javafxcontrols;

import javafx.stage.Stage;
import javafx.scene.Scene;
import javafx.scene.control.Label;
import javafx.scene.paint.Color;
import javafx.scene.text.Font;
import javafx.scene.image.Image;
import javafx.scene.image.ImageView;
import javafx.scene.layout.VBox;
import javafx.scene.shape.Line;
import javafx.geometry.VPos;

var scene:Scene;
Stage {
    title : "Labels #1"
    scene: scene = Scene {
        width: 200
        height: 200
        content: [
            VBox {
                width: bind scene.width
                height: bind scene.height
                spacing: 4
                vpos: VPos.CENTER
                content: [
                    Line { endX: 100 }
                    Label {
                        text: "Address:"
                    }
                    Line { endX: 100 }
                    Label {
                        text: "Address:"
                        textFill: Color.GREEN
                        font: Font { size: 24 }
                    }
                    Line { endX: 100 }
                    Label {
                        graphic: ImageView {
                            image: Image {
                                url: "{__DIR__}houses.jpg"
                            }
                        }
                    }
                    Line { endX: 100 }
                    Label {
                        text: "Address:"
                        textFill: Color.GREEN
                        font: Font { size: 24 }
                        graphic: ImageView {
                            image: Image {
                                url: "{__DIR__}houses.jpg"
                            }
                        }
                    }
                    Line { endX: 100 }
                ]
            }
        ]
    }
}

