package javafxcontrols;

import javafx.stage.Stage;
import javafx.scene.Scene;
import javafx.scene.image.Image;
import javafx.scene.layout.VBox;
import javafx.scene.image.ImageView;
import javafx.scene.control.Label;
import javafx.geometry.HPos;
import javafx.geometry.VPos;
import javafx.scene.shape.Line;

var smallEagle = Image {
    url: "{__DIR__}lem2.jpg"
}

var scene:Scene;
Stage {
    title : "Labels #2"
    scene: scene = Scene {
        width: 200
        height: 200
        content: [
            VBox {
                width: bind scene.width
                height: bind scene.height
                spacing: 4
                vpos: VPos.CENTER
                content: [
                    Line { endX: 100 }
                    Label {
                        text: "The Eagle has landed"
                        graphic: ImageView {
                            image: smallEagle
                        }
                    }
                    Line { endX: 100 }
                    Label {
                        text: "The Eagle has landed"
                        graphic: ImageView {
                            image: smallEagle
                        }
                        graphicHPos: HPos.RIGHT
                    }
                    Line { endX: 100 }
                    Label {
                        text: "The Eagle has landed"
                        graphic: ImageView {
                            image: smallEagle
                        }
                        graphicHPos: HPos.LEADING
                    }
                    Line { endX: 100 }
                    Label {
                        text: "The Eagle has landed"
                        graphic: ImageView {
                            image: smallEagle
                        }
                        graphicHPos: HPos.CENTER
                    }
                ]
            }
        ]
    }
}



