package javafxcontrols;

import javafx.stage.Stage;
import javafx.scene.Scene;
import javafx.scene.image.Image;
import javafx.scene.image.ImageView;
import javafx.scene.control.Label;
import javafx.geometry.VPos;
import javafx.geometry.HPos;
import javafx.scene.layout.VBox;
import javafx.scene.layout.LayoutInfo;
import javafx.scene.shape.Line;

var smallEagle = Image {
    url: "{__DIR__}lem2.jpg"
}

var scene:Scene;
Stage {
    title : "Labels #4"
    scene: scene = Scene {
        width: 300
        height: 150
        content: [
            VBox {
                width: bind scene.width
                height: bind scene.height
                spacing: 8
                vpos: VPos.CENTER
                content: [
                    Line { endX: bind scene.width }
                    Label {
                        text: "The Eagle has landed"
                        hpos: HPos.LEADING
                        layoutInfo: LayoutInfo {
                            width: bind scene.width
                        }
                    }
                    Line { endX: bind scene.width }
                    Label {
                        text: "The Eagle has landed"
                        graphic: ImageView {
                            image: smallEagle
                        }
                        hpos: HPos.CENTER
                        layoutInfo: LayoutInfo {
                            width: bind scene.width
                        }
                    }
                    Line { endX: bind scene.width }
                    Label {
                        graphic: ImageView {
                            image: smallEagle
                        }
                        hpos: HPos.RIGHT
                        layoutInfo: LayoutInfo {
                            width: bind scene.width
                        }
                    }
                    Line { endX: bind scene.width }
                ]
            }
        ]
    }
}

