package javafxcontrols;

import javafx.stage.Stage;
import javafx.scene.Scene;
import javafx.scene.layout.VBox;
import javafx.geometry.HPos;
import javafx.geometry.VPos;
import javafx.scene.control.ProgressBar;
import javafx.scene.control.ProgressIndicator;
import javafx.animation.Timeline;
import javafx.animation.Interpolator;

import javafx.scene.layout.LayoutInfo;

def max = 100.0;
var value:Number;

Stage {
    title : "Progress #2"
    var scene:Scene;
    scene: scene = Scene {
        width: 200
        height: 200
        content: [
            VBox {
                width: bind scene.width
                height: bind scene.height
                hpos: HPos.CENTER vpos: VPos.CENTER
                nodeHPos: HPos.CENTER
                spacing: 8
                content: [
                    ProgressBar {
                        progress: -1
                        layoutInfo: LayoutInfo {
                            width: 180
                            height: 50
                       }
                    }
                    ProgressIndicator {
                        progress: -1
                        layoutInfo: LayoutInfo {
                            width: 180
                            height: 100
                       }
                    }
                ]
            }
        ]
    }
}

var t = Timeline {
    repeatCount: Timeline.INDEFINITE
    keyFrames: [
        at (10s) { value => 100 tween Interpolator.LINEAR }
    ]
};
t.play();
