package javafxcontrols;

import javafx.stage.Stage;
import javafx.scene.Scene;
import javafx.scene.layout.Flow;
import javafx.scene.control.ToggleGroup;
import javafx.scene.control.ToggleButton;
import javafx.geometry.HPos;
import javafx.geometry.VPos;


var selected1:Boolean = true on replace {
    println("#1 selected: {selected1}")
}
var selected2:Boolean on replace {
    println("#2 selected: {selected1}")
}

var scene:Scene;
Stage {
    title : "ToggleButtons #1"
    scene: scene = Scene {
        width: 200
        height: 100
        content: [
            Flow {
                var toggleGroup = ToggleGroup {}
                width: bind scene.width
                height: bind scene.height
                hpos: HPos.CENTER
                vpos: VPos.CENTER
                hgap: 16
                content: [
                    ToggleButton {
                        text: "Choice #1"
                        toggleGroup: toggleGroup
                        selected: bind selected1 with inverse
                    }
                    ToggleButton {
                        text: "Choice #2"
                        toggleGroup: toggleGroup
                        selected: bind selected2 with inverse
                    }
                ]
            }
        ]
    }
}

