package javafxcustom;

import javafx.stage.Stage;
import javafx.scene.Scene;
import javafx.scene.image.Image;
import javafx.scene.image.ImageView;
import javafx.scene.text.Text;
import javafx.scene.text.Font;
import javafx.scene.paint.Color;

import javafx.scene.layout.Panel;

import javafx.geometry.HPos;
import javafx.geometry.VPos;

import javafx.scene.layout.Container;

import javafx.util.Math;

Stage {
    title: "Panel #1"
    width: 400
    height: 400
    var scene:Scene;
    scene: scene = Scene {
        var p:Panel;
        content: [
            p = Panel {
                width: bind scene.width
                height: bind scene.height
                content: [
                    ImageView {
                        image: Image {
                            url: "{__DIR__}a11rollout.jpg"
                        }
                    }
                    Text {
                        content: "Apollo 11 roll out"
                        font: Font { size: 28 }
                        fill: Color.YELLOW
                        opacity: 0.7
                    }
                ]
                onLayout: function() {
                    p.resizeContent();
                    for (node in Container.getManaged(p.content)) {
                        Container.positionNode(node, 0, 0, p.width,
                                               p.height,
                                               HPos.CENTER,
                                               VPos.CENTER);
                    }
                }
                prefHeight: function(width:Number) {
                    var result = 0.0;
                    for (node in Container.getManaged(p.content)) {
                        result = Math.max(result,
                                          Container.getNodePrefHeight(node));
                    }
                    result;
                }
                prefWidth: function(height:Number) {
                    var result = 0.0;
                    for (node in Container.getManaged(p.content)) {
                        result = Math.max(result,
                                          Container.getNodePrefWidth(node));
                    }
                    result;
                }
            }
        ]
    }
}