package javafximport;

import javafx.scene.paint.Color;
import javafx.scene.paint.LinearGradient;
import javafx.scene.paint.Stop;
import javafx.scene.Scene;
import javafx.stage.Stage;
import javafx.geometry.HPos;
import javafx.geometry.VPos;
import javafx.scene.text.Font;

import javafx.scene.text.Text;

import javafx.scene.layout.Flow;

var scene:Scene;
Stage {
    title: "Banner1 UI Stub Example #2"
    scene: scene = Scene {
        width: 470
        height: 270
        content: [
            MyBanner1UI {
                javaFXTextFill: Color.RED
                developerTextFill: Color.ORANGE
                backgroundGradient: LinearGradient {
                    startX: 0.0 startY: 0.0
                    endX: 0.0 endY: 1.0
                    stops: [
                        Stop { offset: 0.0 color: Color.WHITE }
                        Stop { offset: 1.0 color: Color.GRAY }
                    ]
                }
                backgroundLoading: true
                placeholder: Flow {
                    width: bind scene.width
                    height: bind scene.height
                    hpos: HPos.CENTER
                    vpos: VPos.CENTER
                    content: Text {
                        content: "Loading..."
                        font: Font { size: 24 }
                    }
                }
            }
        ]
    }
}