package javafximport;

import javafx.fxd.FXDLoader;
import javafx.scene.Scene;
import javafx.stage.Stage;
import javafx.scene.paint.Color;
import javafx.scene.shape.Shape;
import javafx.scene.paint.Paint;

var url = "{__DIR__}Banner1.fxz";
var content = FXDLoader.loadContent(url);
var bgShape = content.select("/Background/BackgroundNode") as Shape;
var fill = content.select("/Background/BackgroundNode.fill") as Paint;
println("Fill was {fill}");
bgShape.fill = Color.GREEN;

Stage {
    title: "Banner Example #2"
    scene: Scene {
        content: [
            content.getRoot()
        ]
    }
}