package javafximport;

import javafx.fxd.FXDLoader;
import javafx.scene.paint.Color;
import javafx.scene.Scene;
import javafx.stage.Stage;
import javafx.util.Math;

var fxd = FXDLoader.loadContent("{__DIR__}Star.fxz");

def SIZE = 500;
Stage {
    var scene: Scene;
    title: "Star Example #1"
    width: SIZE
    height: SIZE
    scene: scene = Scene {
        fill: Color.BLACK
        content: [
            for (i in [1..10]) {
                var node = fxd.getNode("StarNode");
                node.translateX = Math.random() * (SIZE - 20);
                node.translateY = Math.random() * (SIZE - 20);
                node
            }
        ]
    }
}