package javafxmedia;

import javafx.animation.Timeline;
import javafx.scene.media.Media;
import javafx.scene.media.MediaPlayer;
import javafx.scene.media.MediaView;
import javafx.scene.Scene;
import javafx.stage.Stage;

var mediaURL = "http://sun.edgeboss.net/download/sun/media/1460825906/"
               "1460825906_2956241001_big-buck-bunny-640x360.flv";

var mediaPlayer: MediaPlayer;

Stage {
    title: "Media #4"
    resizable: false
    scene: Scene {
        width: 640
        height: 360
        content: [
            MediaView {
                mediaPlayer: mediaPlayer = MediaPlayer {
                    autoPlay: true
                    repeatCount: MediaPlayer.REPEAT_FOREVER
                    media: Media { source: mediaURL }
                }
            }
        ]
    }
}

var timeline = Timeline {
    repeatCount: Timeline.INDEFINITE
    keyFrames: [
        at (0s) { mediaPlayer.volume => 0; mediaPlayer.balance => -1.0 }
        at (5s) { mediaPlayer.volume => 1.0; mediaPlayer.balance => 1.0 }
        at (10s) { mediaPlayer.volume => 0.0; mediaPlayer.balance => 0.0 }
    ]
}
timeline.play();


