package javafxmedia;

import javafx.scene.media.Media;
import javafx.scene.media.MediaPlayer;
import javafx.scene.media.MediaTimer;
import javafx.scene.media.MediaView;
import javafx.scene.Scene;
import javafx.stage.Stage;

var mediaURL = "http://sun.edgeboss.net/download/sun/media/1460825906/"
               "1460825906_2956241001_big-buck-bunny-640x360.flv";

var timers = [
    MediaTimer { time: 10s action: function(t) {println("10s") }},
    MediaTimer { time: 20s action: function(t) {println("20s") }},
    MediaTimer { time: 30s action: function(t) {println("30s") }},
];
Stage {
    title: "Media #7"
    resizable: false
    scene: Scene {
        width: 640
        height: 400
        content: [
            MediaView {
                mediaPlayer:
                MediaPlayer {
                    autoPlay: true
                    media: Media { source: mediaURL }
                    timers: timers
                }
            }
        ]
    }
}