
package javafxmedia;

import javafx.scene.media.Media;
import javafx.scene.media.MediaPlayer;
import javafx.scene.Scene;
import javafx.scene.paint.Color;
import javafx.stage.Stage;
import javafxmedia.ScalingMediaView;

var mediaURL = "http://sun.edgeboss.net/download/sun/media/1460825906/"
               "1460825906_2956241001_big-buck-bunny-640x360.flv";

var scene:Scene;
Stage {
    title: "Media #8"
    scene: scene = Scene {
        width: 700
        height: 500
        content: [
            ScalingMediaView {
                width: bind scene.width
                height: bind scene.height
                stretch: false
                fill: Color.BLACK
                mediaPlayer: MediaPlayer {
                    autoPlay: true
                    media: Media { source: mediaURL }
                }
            }
        ]
    }
}
