package javafxstyle;

import javafx.stage.Stage;
import javafx.scene.Scene;
import javafx.scene.layout.HBox;
import javafx.scene.layout.VBox;
import javafx.scene.text.Text;
import javafx.geometry.Insets;

Stage {
    title : "Styles 6"
    var scene:Scene;
    scene: scene = Scene {
        stylesheets: "{__DIR__}Styles6.css"
        content: [
            HBox {
                styleClass: "hbox"
                width: bind scene.width
                height: bind scene.height
                padding: Insets {
                    top: 8 left: 8 bottom: 8 right: 8
                }
                spacing: 8
                content: [
                    VBox {
                        styleClass: "vbox"
                        spacing: 8
                        content: [
                            Text {
                                content: "Text#1 in VBox"
                            }
                            Text {
                                content: "Text#2 in VBox"
                                styleClass: "text2"
                            }
                        ]
                    }
                    Text {
                        content: "Text in HBox"
                    }
                ]
            }
            Text {
                translateY: 120
                content: "Text in scene"
            }
        ]
    }
}
